Skip to main content

Transportation types

To specify the transportation type for the route (transport type or walking), use the transport parameter.

For public transport, you need to specify its type explicitly: one or multiple. For other transportation types, the route by car is built by default: the parameter value transport: driving is passed to the request. You can specify another transportation type.

An example of building routes for different transportation types:

By car

To build a route by car, send a POST request to /routing/7.0.0/global with the following parameters:

  • points (mandatory parameter) - array of coordinates of route points. Specify at least two points: starting and ending.

  • transport: driving - transportation type: by car.

  • filters - exclusion of certain road types:

    • dirt_road - dirt roads
    • toll_road - toll roads
    • ferry - ferry crossings
  • output - result format:

    • summary - simplified output, only time and route length in the response
    • detailed - full output with route geometry
  • locale - language of text descriptions of route elements: English.

Request example:

curl --request POST \
--url 'https://routing.api.2gis.com/routing/7.0.0/global?key=API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"points": [
{
"type": "stop",
"lon": 37.582591,
"lat": 55.775364
},
{
"type": "stop",
"lon": 37.656625,
"lat": 55.765036
}
],
"transport": "driving",
"filters": [
"dirt_road",
"toll_road",
"ferry"
],
"output": "detailed",
"locale": "en"
}'

Response example:

response.json
{
"message": null,
"query": {
"filters": [
"dirt_road",
"toll_road",
"ferry"
],
"locale": "en",
"output": "detailed",
"points": [
{
"lat": 55.775364,
"lon": 37.582591,
"type": "stop"
},
{
"lat": 55.765036,
"lon": 37.656625,
"type": "stop"
}
],
"transport": "driving"
},
"result": [
{
"algorithm": "with traffic jams",
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.583086 55.775486)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"filter_road_types": [
"highway"
],
"id": "11163872535673430776",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "6029283086426573224",
"outcoming_path": {
"distance": 1018,
"duration": 404,
"geometry": [
{
"color": "normal",
"length": 300,
"selection": "LINESTRING(37.583086 55.775486, 37.583150 55.775405, 37.583231 55.775307, 37.583253 55.775281, 37.583307 55.775231, 37.583444 55.775139, 37.583539 55.775074, 37.583571 55.775051, 37.583758 55.774941, 37.584051 55.774769, 37.584528 55.774490, 37.584715 55.774380, 37.584995 55.774215, 37.585056 55.774180, 37.585086 55.774162, 37.585701 55.773802, 37.586019 55.773616, 37.586202 55.773508, 37.586336 55.773430)",
"style": "normal"
},
{
"color": "slow",
"length": 329,
"selection": "LINESTRING(37.586336 55.773430, 37.586461 55.773356, 37.586789 55.773163, 37.587075 55.772996, 37.587113 55.772973, 37.587238 55.772900, 37.587446 55.772778, 37.587668 55.772648, 37.587824 55.772557, 37.588158 55.772360, 37.588212 55.772329, 37.588581 55.772112, 37.588708 55.772038, 37.588822 55.771970, 37.589876 55.771353, 37.589952 55.771308, 37.590055 55.771248)",
"style": "normal"
},
{
"color": "normal",
"length": 39,
"selection": "LINESTRING(37.590055 55.771248, 37.590487 55.770994)",
"style": "normal"
},
{
"color": "slow",
"length": 144,
"selection": "LINESTRING(37.590487 55.770994, 37.590573 55.770943, 37.590753 55.770838, 37.591406 55.770455, 37.592022 55.770093, 37.592101 55.770047)",
"style": "normal"
},
{
"color": "normal",
"length": 9,
"selection": "LINESTRING(37.592101 55.770047, 37.592212 55.769983)",
"style": "normal"
},
{
"color": "slow",
"length": 21,
"selection": "LINESTRING(37.592212 55.769983, 37.592449 55.769843)",
"style": "normal"
},
{
"color": "normal",
"length": 176,
"selection": "LINESTRING(37.592449 55.769843, 37.592770 55.769654, 37.593209 55.769397, 37.593661 55.769131, 37.593700 55.769108, 37.593817 55.769040, 37.593994 55.768937, 37.594028 55.768916, 37.594239 55.768793, 37.594289 55.768763, 37.594431 55.768680)",
"style": "normal"
}
],
"names": [
"площадь Тверская Застава"
]
},
"outcoming_path_comment": "1 km straight",
"type": "begin"
},
{
"comment": "Right turn onto Большая Садовая",
"icon": "crossroad_right",
"id": "13470006557678409225",
"outcoming_path": {
"distance": 1626,
"duration": 262,
"geometry": [
{
"color": "normal",
"length": 746,
"selection": "LINESTRING(37.594431 55.768680, 37.594346 55.768628, 37.593543 55.768059, 37.593308 55.767862, 37.592814 55.767453, 37.592717 55.767386, 37.592365 55.767140, 37.591674 55.766659, 37.591448 55.766501, 37.591024 55.766200, 37.590734 55.765995, 37.590646 55.765932, 37.590323 55.765704, 37.590212 55.765625, 37.589852 55.765370, 37.589556 55.765142, 37.589238 55.764885, 37.588929 55.764616, 37.588592 55.764313, 37.588277 55.764015, 37.588007 55.763744, 37.587735 55.763438, 37.587531 55.763196)",
"style": "normal"
},
{
"color": "slow",
"length": 269,
"selection": "LINESTRING(37.587531 55.763196, 37.587417 55.763061, 37.587347 55.762978, 37.586968 55.762487, 37.586911 55.762414, 37.586792 55.762252, 37.586305 55.761590, 37.586265 55.761535, 37.585827 55.760940)",
"style": "normal"
},
{
"color": "normal",
"length": 204,
"selection": "LINESTRING(37.585827 55.760940, 37.585436 55.760408, 37.585400 55.760360, 37.585361 55.760297, 37.585229 55.760091, 37.584994 55.759724, 37.584986 55.759712, 37.584873 55.759517, 37.584848 55.759474, 37.584719 55.759224, 37.584702 55.759192)",
"style": "normal"
},
{
"color": "normal",
"length": 41,
"selection": "LINESTRING(37.584702 55.759192, 37.584583 55.758920, 37.584552 55.758831)",
"style": "normal"
},
{
"color": "normal",
"length": 244,
"selection": "LINESTRING(37.584552 55.758831, 37.584540 55.758798, 37.584481 55.758631, 37.584447 55.758512, 37.584395 55.758321, 37.584344 55.758079, 37.584186 55.757315, 37.584176 55.757269, 37.584125 55.757023, 37.584043 55.756629)",
"style": "normal"
},
{
"color": "fast",
"length": 122,
"selection": "LINESTRING(37.584043 55.756629, 37.583822 55.755538)",
"style": "normal"
}
],
"names": [
"Большая Садовая"
]
},
"outcoming_path_comment": "1.6 km straight",
"turn_angle": 83,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Keep right on Новинский бульвар",
"icon": "crossroad_keep_right",
"id": "18368196783820151025",
"outcoming_path": {
"distance": 287,
"duration": 39,
"geometry": [
{
"color": "fast",
"length": 145,
"selection": "LINESTRING(37.583822 55.755538, 37.583700 55.755320, 37.583677 55.755270, 37.583651 55.755185, 37.583580 55.754874, 37.583460 55.754497, 37.583368 55.754261)",
"style": "normal"
},
{
"color": "normal",
"length": 26,
"selection": "LINESTRING(37.583368 55.754261, 37.583347 55.754147, 37.583324 55.754018)",
"style": "normal"
},
{
"color": "fast",
"length": 73,
"selection": "LINESTRING(37.583324 55.754018, 37.583209 55.753360)",
"style": "normal"
},
{
"color": "slow",
"length": 43,
"selection": "LINESTRING(37.583209 55.753360, 37.583139 55.752970)",
"style": "normal"
}
],
"names": [
"Новинский бульвар"
]
},
"outcoming_path_comment": "300 m straight",
"turn_angle": 10,
"turn_direction": "keep_right",
"type": "crossroad"
},
{
"comment": "U-turn on Новинский бульвар",
"icon": "turn_over_right_hand",
"id": "8365504894827299474",
"outcoming_path": {
"distance": 91,
"duration": 17,
"geometry": [
{
"color": "normal",
"length": 45,
"selection": "LINESTRING(37.583139 55.752970, 37.583154 55.752938, 37.583184 55.752911, 37.583221 55.752892, 37.583281 55.752879, 37.583339 55.752872, 37.583584 55.752866, 37.583623 55.752870, 37.583655 55.752880, 37.583683 55.752898, 37.583702 55.752933)",
"style": "normal"
},
{
"color": "slow",
"length": 46,
"selection": "LINESTRING(37.583702 55.752933, 37.583775 55.753348)",
"style": "normal"
}
],
"names": [
"Новинский бульвар"
]
},
"outcoming_path_comment": "90 m straight",
"turn_angle": -180,
"turn_direction": "uturn_left",
"type": "crossroad"
},
{
"comment": "Keep left on Новинский бульвар",
"icon": "crossroad_keep_left",
"id": "11221678527303585669",
"outcoming_path": {
"distance": 6154,
"duration": 1147,
"geometry": [
{
"color": "normal",
"length": 215,
"selection": "LINESTRING(37.583775 55.753348, 37.584019 55.754613, 37.584049 55.754877, 37.584040 55.754980, 37.584014 55.755103, 37.583987 55.755277)",
"style": "normal"
},
{
"color": "slow",
"length": 1714,
"selection": "LINESTRING(37.583987 55.755277, 37.583989 55.755285, 37.584368 55.757099, 37.584373 55.757134, 37.584393 55.757231, 37.584599 55.758224, 37.584616 55.758305, 37.584701 55.758610, 37.584799 55.758885, 37.584902 55.759123, 37.584918 55.759161, 37.584980 55.759280, 37.585062 55.759437, 37.585108 55.759517, 37.585197 55.759670, 37.585321 55.759863, 37.585480 55.760112, 37.585610 55.760316, 37.585641 55.760359, 37.585860 55.760655, 37.586396 55.761385, 37.586592 55.761651, 37.586717 55.761822, 37.586860 55.762016, 37.587004 55.762212, 37.587116 55.762364, 37.587445 55.762789, 37.587551 55.762927, 37.587782 55.763201, 37.587849 55.763280, 37.587936 55.763384, 37.588134 55.763606, 37.588203 55.763684, 37.588416 55.763898, 37.588471 55.763953, 37.588784 55.764248, 37.588984 55.764428, 37.589118 55.764549, 37.589422 55.764814, 37.589738 55.765068, 37.590030 55.765294, 37.590045 55.765304, 37.590722 55.765784, 37.590908 55.765916, 37.591349 55.766228, 37.591622 55.766422, 37.591802 55.766547, 37.591951 55.766651, 37.592175 55.766807, 37.592529 55.767054, 37.592988 55.767375, 37.593622 55.767817, 37.594008 55.768087, 37.594339 55.768318, 37.594632 55.768511, 37.594932 55.768694, 37.595214 55.768858, 37.595486 55.769004)",
"style": "normal"
},
{
"color": "slow",
"length": 81,
"selection": "LINESTRING(37.595486 55.769004, 37.596007 55.769269, 37.596454 55.769495)",
"style": "tunnel"
},
{
"color": "normal",
"length": 28,
"selection": "LINESTRING(37.596454 55.769495, 37.596797 55.769669)",
"style": "tunnel"
},
{
"color": "slow",
"length": 87,
"selection": "LINESTRING(37.596797 55.769669, 37.597193 55.769869, 37.597838 55.770195)",
"style": "tunnel"
},
{
"color": "slow",
"length": 464,
"selection": "LINESTRING(37.597838 55.770195, 37.598115 55.770332, 37.598389 55.770458, 37.598674 55.770579, 37.599125 55.770758, 37.599606 55.770937, 37.599820 55.771001, 37.600450 55.771189, 37.600775 55.771293, 37.601329 55.771460, 37.602336 55.771763, 37.602421 55.771789, 37.602861 55.771922, 37.603929 55.772247, 37.604227 55.772338)",
"style": "normal"
},
{
"color": "normal",
"length": 832,
"selection": "LINESTRING(37.604227 55.772338, 37.604516 55.772426, 37.605210 55.772564, 37.605213 55.772565, 37.605268 55.772575, 37.605728 55.772651, 37.605822 55.772664, 37.607062 55.772839, 37.607333 55.772877, 37.607382 55.772884, 37.608251 55.772986, 37.608986 55.773080, 37.609121 55.773096, 37.609234 55.773109, 37.610156 55.773194, 37.610728 55.773247, 37.611026 55.773277, 37.611498 55.773310, 37.612248 55.773363, 37.612442 55.773370, 37.613457 55.773408, 37.615054 55.773470, 37.617345 55.773557)",
"style": "normal"
},
{
"color": "normal",
"length": 370,
"selection": "LINESTRING(37.617345 55.773557, 37.619000 55.773621, 37.619209 55.773628, 37.621035 55.773684, 37.621922 55.773690, 37.623161 55.773671, 37.623250 55.773668)",
"style": "bridge"
},
{
"color": "fast",
"length": 250,
"selection": "LINESTRING(37.623250 55.773668, 37.624510 55.773622, 37.625672 55.773548, 37.625906 55.773531, 37.626549 55.773483, 37.627213 55.773398)",
"style": "normal"
},
{
"color": "normal",
"length": 63,
"selection": "LINESTRING(37.627213 55.773398, 37.627407 55.773378, 37.627898 55.773317, 37.628220 55.773274)",
"style": "normal"
},
{
"color": "slow",
"length": 937,
"selection": "LINESTRING(37.628220 55.773274, 37.629057 55.773153, 37.630300 55.772978, 37.630537 55.772946, 37.631810 55.772768, 37.631859 55.772761, 37.632302 55.772699, 37.632528 55.772668, 37.633038 55.772597, 37.633286 55.772569, 37.633809 55.772511, 37.635934 55.772276, 37.636482 55.772197, 37.636863 55.772130, 37.637246 55.772053, 37.637383 55.772024, 37.637746 55.771946, 37.638398 55.771787, 37.638671 55.771709, 37.639223 55.771539, 37.639458 55.771467, 37.640138 55.771258, 37.641596 55.770815, 37.642386 55.770573)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 23,
"selection": "LINESTRING(37.642386 55.770573, 37.642720 55.770474)",
"style": "normal"
},
{
"color": "slow",
"length": 207,
"selection": "LINESTRING(37.642720 55.770474, 37.642942 55.770406, 37.643525 55.770234, 37.643708 55.770178, 37.643975 55.770092, 37.644348 55.769976, 37.644647 55.769882, 37.645657 55.769580)",
"style": "normal"
},
{
"color": "normal",
"length": 11,
"selection": "LINESTRING(37.645657 55.769580, 37.645818 55.769531)",
"style": "normal"
},
{
"color": "fast",
"length": 21,
"selection": "LINESTRING(37.645818 55.769531, 37.646121 55.769442)",
"style": "normal"
},
{
"color": "normal",
"length": 114,
"selection": "LINESTRING(37.646121 55.769442, 37.646389 55.769364, 37.647223 55.769158, 37.647789 55.769017)",
"style": "normal"
},
{
"color": "fast",
"length": 737,
"selection": "LINESTRING(37.647789 55.769017, 37.648564 55.768776, 37.649337 55.768557, 37.649691 55.768459, 37.649817 55.768424, 37.649886 55.768391, 37.650113 55.768283, 37.650280 55.768171, 37.651022 55.767635, 37.651497 55.767307, 37.651966 55.766988, 37.652654 55.766522, 37.653423 55.765990, 37.653591 55.765874, 37.653911 55.765652, 37.654967 55.764923, 37.655597 55.764466, 37.655881 55.764258)",
"style": "normal"
}
],
"names": [
"Новинский бульвар"
]
},
"outcoming_path_comment": "6.2 km straight",
"turn_angle": 0,
"turn_direction": "keep_left",
"type": "crossroad"
},
{
"comment": "U-turn on Садовая-Черногрязская",
"icon": "turn_over_right_hand",
"id": "962700350221198162",
"outcoming_path": {
"distance": 71,
"duration": 56,
"geometry": [
{
"color": "fast",
"length": 22,
"selection": "LINESTRING(37.655881 55.764258, 37.655917 55.764246, 37.655955 55.764239, 37.655993 55.764237, 37.656027 55.764240, 37.656049 55.764245, 37.656067 55.764253, 37.656086 55.764271, 37.656095 55.764288, 37.656094 55.764310, 37.656076 55.764339)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 49,
"selection": "LINESTRING(37.656076 55.764339, 37.655591 55.764691)",
"style": "normal"
}
],
"names": [
"Садовая-Черногрязская"
]
},
"outcoming_path_comment": "70 m straight",
"turn_angle": -180,
"turn_direction": "uturn_left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "639459655903424408",
"outcoming_path": {
"distance": 36,
"duration": 10,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.655591 55.764691, 37.655782 55.764778, 37.655867 55.764818)",
"style": "living_zone"
},
{
"color": "ignore",
"length": 12,
"selection": "LINESTRING(37.655867 55.764818, 37.656014 55.764887)",
"style": "archway"
},
{
"color": "ignore",
"length": 3,
"selection": "LINESTRING(37.656014 55.764887, 37.656064 55.764909)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "40 m straight",
"turn_angle": 89,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "13491273228026454946",
"outcoming_path": {
"distance": 93,
"duration": 27,
"geometry": [
{
"color": "ignore",
"length": 93,
"selection": "LINESTRING(37.656064 55.764909, 37.656554 55.764570, 37.656591 55.764558, 37.656635 55.764560, 37.656674 55.764578, 37.656728 55.764601, 37.656741 55.764609, 37.656749 55.764617, 37.656755 55.764630, 37.656755 55.764641, 37.656749 55.764655, 37.656538 55.764857)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "90 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "2775084780291387804",
"outcoming_path": {
"distance": 21,
"duration": 6,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.656538 55.764857, 37.656510 55.764857, 37.656485 55.764865, 37.656303 55.764992)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": -46,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "9319051003474376131",
"outcoming_path": {
"distance": 18,
"duration": 5,
"geometry": [
{
"color": "ignore",
"length": 18,
"selection": "LINESTRING(37.656303 55.764992, 37.656543 55.765075, 37.656553 55.765080)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 0.0,
"requested_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"result_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"route_id": "moscow-cr-back.m9/carrouting/1772714891.132242",
"total_distance": 9415,
"total_duration": 1975,
"type": "carrouting",
"ui_total_distance": {
"unit": "km",
"value": "9.4"
},
"ui_total_duration": "32 min",
"waypoints": [
{
"original_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"projected_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
},
{
"algorithm": "with traffic jams",
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.583086 55.775486)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"filter_road_types": [
"highway"
],
"id": "12414525041980324738",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "13899215950583848911",
"outcoming_path": {
"distance": 30,
"duration": 11,
"geometry": [
{
"color": "normal",
"length": 9,
"selection": "LINESTRING(37.583086 55.775486, 37.583150 55.775405)",
"style": "normal"
},
{
"color": "fast",
"length": 21,
"selection": "LINESTRING(37.583150 55.775405, 37.583231 55.775307, 37.583253 55.775281, 37.583307 55.775231)",
"style": "normal"
}
],
"names": [
"площадь Тверская Застава"
]
},
"outcoming_path_comment": "30 m straight",
"type": "begin"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "11926927368187376771",
"outcoming_path": {
"distance": 164,
"duration": 140,
"geometry": [
{
"color": "fast",
"length": 18,
"selection": "LINESTRING(37.583307 55.775231, 37.583561 55.775318)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 58,
"selection": "LINESTRING(37.583561 55.775318, 37.583628 55.775341, 37.583734 55.775385, 37.583827 55.775434, 37.584035 55.775570, 37.584217 55.775689)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 72,
"selection": "LINESTRING(37.584217 55.775689, 37.584347 55.775775, 37.584624 55.775956, 37.584979 55.776188)",
"style": "normal"
},
{
"color": "fast",
"length": 16,
"selection": "LINESTRING(37.584979 55.776188, 37.585058 55.776240, 37.585154 55.776303)",
"style": "normal"
}
],
"names": []
},
"outcoming_path_comment": "150 m straight",
"turn_angle": -92,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn onto 1-я Тверская-Ямская",
"icon": "crossroad_right",
"id": "17326927722456028824",
"outcoming_path": {
"distance": 2824,
"duration": 1100,
"geometry": [
{
"color": "normal",
"length": 278,
"selection": "LINESTRING(37.585154 55.776303, 37.585445 55.776157, 37.585492 55.776131, 37.585658 55.776039, 37.586214 55.775714, 37.588010 55.774663, 37.588280 55.774505)",
"style": "normal"
},
{
"color": "slow",
"length": 365,
"selection": "LINESTRING(37.588280 55.774505, 37.590369 55.773281, 37.590635 55.773126, 37.592026 55.772311, 37.592333 55.772132)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 158,
"selection": "LINESTRING(37.592333 55.772132, 37.594081 55.771108)",
"style": "normal"
},
{
"color": "slow",
"length": 244,
"selection": "LINESTRING(37.594081 55.771108, 37.594993 55.770574, 37.595598 55.770219, 37.595740 55.770136, 37.595903 55.770019, 37.596125 55.769859, 37.596682 55.769461, 37.596711 55.769445)",
"style": "normal"
},
{
"color": "normal",
"length": 211,
"selection": "LINESTRING(37.596711 55.769445, 37.597332 55.769104, 37.598026 55.768722, 37.599143 55.768109)",
"style": "normal"
},
{
"color": "slow",
"length": 444,
"selection": "LINESTRING(37.599143 55.768109, 37.599686 55.767811, 37.600043 55.767616, 37.600420 55.767408, 37.600897 55.767147, 37.601521 55.766805, 37.601900 55.766596, 37.602422 55.766310, 37.603289 55.765833, 37.603830 55.765536, 37.604201 55.765332, 37.604264 55.765298)",
"style": "normal"
},
{
"color": "normal",
"length": 83,
"selection": "LINESTRING(37.604264 55.765298, 37.605221 55.764772)",
"style": "normal"
},
{
"color": "slow",
"length": 589,
"selection": "LINESTRING(37.605221 55.764772, 37.605331 55.764712, 37.605589 55.764564, 37.605755 55.764468, 37.605892 55.764379, 37.605943 55.764346, 37.606052 55.764261, 37.606330 55.764042, 37.607409 55.763195, 37.608277 55.762513, 37.608419 55.762402, 37.608663 55.762210, 37.608964 55.761973, 37.609189 55.761797, 37.609668 55.761364, 37.610581 55.760402)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 153,
"selection": "LINESTRING(37.610581 55.760402, 37.611732 55.759187)",
"style": "normal"
},
{
"color": "slow",
"length": 19,
"selection": "LINESTRING(37.611732 55.759187, 37.611881 55.759030)",
"style": "normal"
},
{
"color": "normal",
"length": 156,
"selection": "LINESTRING(37.611881 55.759030, 37.612156 55.758740, 37.612480 55.758397, 37.612745 55.758176, 37.613042 55.757957, 37.613061 55.757943, 37.613220 55.757842)",
"style": "normal"
},
{
"color": "slow",
"length": 124,
"selection": "LINESTRING(37.613220 55.757842, 37.613439 55.757702, 37.614188 55.757327, 37.614359 55.757241, 37.614424 55.757209, 37.614692 55.757075)",
"style": "normal"
}
],
"names": [
"1-я Тверская-Ямская"
]
},
"outcoming_path_comment": "2.8 km straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn onto Охотный Ряд",
"icon": "crossroad_left",
"id": "12294848244034193524",
"outcoming_path": {
"distance": 711,
"duration": 138,
"geometry": [
{
"color": "slow",
"length": 25,
"selection": "LINESTRING(37.614692 55.757075, 37.614880 55.756984, 37.615022 55.756943)",
"style": "normal"
},
{
"color": "normal",
"length": 182,
"selection": "LINESTRING(37.615022 55.756943, 37.615076 55.756942, 37.615157 55.756952, 37.615216 55.756962, 37.615276 55.756977, 37.615375 55.757008, 37.615474 55.757045, 37.615885 55.757209, 37.616106 55.757348, 37.617164 55.758021)",
"style": "normal"
},
{
"color": "fast",
"length": 30,
"selection": "LINESTRING(37.617164 55.758021, 37.617490 55.758218)",
"style": "normal"
},
{
"color": "normal",
"length": 228,
"selection": "LINESTRING(37.617490 55.758218, 37.617688 55.758337, 37.617914 55.758435, 37.618154 55.758495, 37.618405 55.758539, 37.618690 55.758588, 37.619878 55.758794, 37.620053 55.758825, 37.620388 55.758883, 37.620854 55.758964)",
"style": "normal"
},
{
"color": "normal",
"length": 246,
"selection": "LINESTRING(37.620854 55.758964, 37.621520 55.759079, 37.622236 55.759179, 37.622780 55.759255, 37.623755 55.759390, 37.624658 55.759515)",
"style": "normal"
}
],
"names": [
"Охотный Ряд"
]
},
"outcoming_path_comment": "700 m straight",
"turn_angle": -60,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Keep right on Новая площадь",
"icon": "crossroad_keep_right",
"id": "3061145068364379463",
"outcoming_path": {
"distance": 477,
"duration": 101,
"geometry": [
{
"color": "normal",
"length": 142,
"selection": "LINESTRING(37.624658 55.759515, 37.625049 55.759532, 37.625210 55.759535, 37.625387 55.759532, 37.625526 55.759521, 37.625663 55.759504, 37.625747 55.759487, 37.625791 55.759478, 37.625904 55.759444, 37.625994 55.759402, 37.626075 55.759353, 37.626542 55.759020)",
"style": "normal"
},
{
"color": "slow",
"length": 320,
"selection": "LINESTRING(37.626542 55.759020, 37.626797 55.758837, 37.627134 55.758596, 37.627309 55.758471, 37.627604 55.758260, 37.627872 55.758068, 37.629510 55.756897, 37.629731 55.756739)",
"style": "normal"
},
{
"color": "normal",
"length": 15,
"selection": "LINESTRING(37.629731 55.756739, 37.629801 55.756689, 37.629850 55.756654, 37.629895 55.756632)",
"style": "normal"
}
],
"names": [
"Новая площадь"
]
},
"outcoming_path_comment": "500 m straight",
"turn_angle": 10,
"turn_direction": "keep_right",
"type": "crossroad"
},
{
"comment": "Left turn onto площадь Ильинские Ворота",
"icon": "crossroad_left",
"id": "9271194936881460459",
"outcoming_path": {
"distance": 1861,
"duration": 601,
"geometry": [
{
"color": "normal",
"length": 19,
"selection": "LINESTRING(37.629895 55.756632, 37.629978 55.756619, 37.630038 55.756617, 37.630106 55.756623, 37.630198 55.756645)",
"style": "normal"
},
{
"color": "fast",
"length": 106,
"selection": "LINESTRING(37.630198 55.756645, 37.630971 55.756953, 37.631358 55.757108, 37.631510 55.757168, 37.631622 55.757199)",
"style": "normal"
},
{
"color": "normal",
"length": 878,
"selection": "LINESTRING(37.631622 55.757199, 37.631670 55.757213, 37.631827 55.757252, 37.631923 55.757272, 37.632087 55.757308, 37.632317 55.757358, 37.632359 55.757366, 37.632614 55.757414, 37.632704 55.757432, 37.633055 55.757485, 37.633207 55.757503, 37.633488 55.757537, 37.633724 55.757566, 37.633783 55.757573, 37.634140 55.757600, 37.634746 55.757634, 37.635261 55.757663, 37.635590 55.757681, 37.635743 55.757690, 37.636312 55.757722, 37.636337 55.757724, 37.636550 55.757739, 37.636752 55.757770, 37.636968 55.757820, 37.637080 55.757845, 37.637735 55.757996, 37.638128 55.758086, 37.638437 55.758157, 37.638642 55.758204, 37.639772 55.758464, 37.639913 55.758496, 37.640505 55.758599, 37.640845 55.758658, 37.641213 55.758722, 37.641348 55.758745, 37.641594 55.758788, 37.641693 55.758805, 37.642116 55.758876, 37.643212 55.759058, 37.643303 55.759069, 37.643928 55.759139, 37.643976 55.759145, 37.644427 55.759197, 37.645136 55.759277, 37.645355 55.759302)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 48,
"selection": "LINESTRING(37.645355 55.759302, 37.646107 55.759386)",
"style": "normal"
},
{
"color": "normal",
"length": 810,
"selection": "LINESTRING(37.646107 55.759386, 37.646278 55.759405, 37.646352 55.759417, 37.646405 55.759425, 37.646523 55.759444, 37.646640 55.759462, 37.647064 55.759528, 37.647326 55.759581, 37.647435 55.759604, 37.647605 55.759639, 37.647686 55.759656, 37.647877 55.759695, 37.648082 55.759738, 37.648147 55.759758, 37.648266 55.759794, 37.648531 55.759893, 37.648620 55.759926, 37.648975 55.760098, 37.649122 55.760169, 37.649457 55.760331, 37.649506 55.760360, 37.649573 55.760399, 37.649617 55.760428, 37.649720 55.760498, 37.649886 55.760610, 37.649948 55.760653, 37.650400 55.760959, 37.650498 55.761026, 37.650552 55.761063, 37.650625 55.761112, 37.650686 55.761152, 37.650723 55.761176, 37.651595 55.761747, 37.651709 55.761822, 37.651900 55.761947, 37.651980 55.761999, 37.652258 55.762182, 37.652370 55.762250, 37.652487 55.762314, 37.652695 55.762420, 37.652816 55.762482, 37.652856 55.762503, 37.653203 55.762681, 37.653603 55.762887, 37.653911 55.763044, 37.654023 55.763099, 37.654131 55.763152, 37.654208 55.763189, 37.654436 55.763298, 37.654489 55.763323, 37.654911 55.763513, 37.655096 55.763596, 37.655188 55.763638, 37.655250 55.763663, 37.655523 55.763774, 37.655742 55.763856, 37.655887 55.763910, 37.655978 55.763942, 37.656208 55.764020)",
"style": "normal"
}
],
"names": [
"площадь Ильинские Ворота"
]
},
"outcoming_path_comment": "1.9 km straight",
"turn_angle": -84,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Left turn onto Садовая-Черногрязская",
"icon": "crossroad_left",
"id": "6987007306150548910",
"outcoming_path": {
"distance": 98,
"duration": 89,
"geometry": [
{
"color": "fast",
"length": 15,
"selection": "LINESTRING(37.656208 55.764020, 37.656416 55.764092)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 83,
"selection": "LINESTRING(37.656416 55.764092, 37.656235 55.764223, 37.656076 55.764339, 37.655591 55.764691)",
"style": "normal"
}
],
"names": [
"Садовая-Черногрязская"
]
},
"outcoming_path_comment": "100 m straight",
"turn_angle": -97,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "2317707450621278900",
"outcoming_path": {
"distance": 36,
"duration": 10,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.655591 55.764691, 37.655782 55.764778, 37.655867 55.764818)",
"style": "living_zone"
},
{
"color": "ignore",
"length": 12,
"selection": "LINESTRING(37.655867 55.764818, 37.656014 55.764887)",
"style": "archway"
},
{
"color": "ignore",
"length": 3,
"selection": "LINESTRING(37.656014 55.764887, 37.656064 55.764909)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "40 m straight",
"turn_angle": 89,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "3927960075168426733",
"outcoming_path": {
"distance": 93,
"duration": 26,
"geometry": [
{
"color": "ignore",
"length": 93,
"selection": "LINESTRING(37.656064 55.764909, 37.656554 55.764570, 37.656591 55.764558, 37.656635 55.764560, 37.656674 55.764578, 37.656728 55.764601, 37.656741 55.764609, 37.656749 55.764617, 37.656755 55.764630, 37.656755 55.764641, 37.656749 55.764655, 37.656538 55.764857)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "90 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "598799797993451626",
"outcoming_path": {
"distance": 21,
"duration": 6,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.656538 55.764857, 37.656510 55.764857, 37.656485 55.764865, 37.656303 55.764992)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": -46,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "6909168488469301390",
"outcoming_path": {
"distance": 18,
"duration": 5,
"geometry": [
{
"color": "ignore",
"length": 18,
"selection": "LINESTRING(37.656303 55.764992, 37.656543 55.765075, 37.656553 55.765080)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 0.0,
"requested_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"result_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"route_id": "moscow-cr-back.m9/carrouting/1772714891.133187",
"total_distance": 6333,
"total_duration": 2227,
"type": "carrouting",
"ui_total_distance": {
"unit": "km",
"value": "6.3"
},
"ui_total_duration": "37 min",
"waypoints": [
{
"original_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"projected_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
}
],
"status": "OK",
"type": "result"
}

By taxi

When building a route by taxi, parameters of a regular car route and dedicated lanes for public transport are taken into account.

To build a route by taxi, send a POST request to /routing/7.0.0/global with the following parameters:

  • points (mandatory parameter) - array of coordinates of route points. Specify at least two points: starting and ending.

  • transport: taxi - transportation type: by taxi.

  • filters - exclusion of certain road types:

    • dirt_road - dirt roads
    • toll_road - toll roads
    • ferry - ferry crossings
  • output - result format:

    • summary - simplified output, only time and route length in the response
    • detailed - full output with route geometry
  • locale - language of text descriptions of route elements: English.

Request example:

curl --request POST \
--url 'https://routing.api.2gis.com/routing/7.0.0/global?key=API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"points": [
{
"type": "stop",
"lon": 37.582591,
"lat": 55.775364
},
{
"type": "stop",
"lon": 37.656625,
"lat": 55.765036
}
],
"transport": "taxi",
"filters": [
"dirt_road",
"toll_road",
"ferry"
],
"output": "detailed",
"locale": "en"
}'

Response example:

response.json
{
"message": null,
"query": {
"filters": [
"dirt_road",
"toll_road",
"ferry"
],
"locale": "en",
"output": "detailed",
"points": [
{
"lat": 55.775364,
"lon": 37.582591,
"type": "stop"
},
{
"lat": 55.765036,
"lon": 37.656625,
"type": "stop"
}
],
"transport": "taxi"
},
"result": [
{
"algorithm": "will consider bus lanes and traffic jams",
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.583086 55.775486)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"filter_road_types": [
"highway"
],
"id": "4502317038041119237",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "11781217590396987649",
"outcoming_path": {
"distance": 509,
"duration": 244,
"geometry": [
{
"color": "normal",
"length": 9,
"selection": "LINESTRING(37.583086 55.775486, 37.583150 55.775405)",
"style": "normal"
},
{
"color": "fast",
"length": 21,
"selection": "LINESTRING(37.583150 55.775405, 37.583231 55.775307, 37.583253 55.775281, 37.583307 55.775231)",
"style": "normal"
},
{
"color": "normal",
"length": 270,
"selection": "LINESTRING(37.583307 55.775231, 37.583444 55.775139, 37.583539 55.775074, 37.583571 55.775051, 37.583758 55.774941, 37.584051 55.774769, 37.584528 55.774490, 37.584715 55.774380, 37.584995 55.774215, 37.585056 55.774180, 37.585086 55.774162, 37.585701 55.773802, 37.586019 55.773616, 37.586202 55.773508, 37.586336 55.773430)",
"style": "normal"
},
{
"color": "slow",
"length": 165,
"selection": "LINESTRING(37.586336 55.773430, 37.586461 55.773356, 37.586789 55.773163, 37.587075 55.772996, 37.587113 55.772973, 37.587238 55.772900, 37.587446 55.772778, 37.587668 55.772648, 37.587824 55.772557, 37.588158 55.772360, 37.588212 55.772329)",
"style": "normal"
},
{
"color": "fast",
"length": 44,
"selection": "LINESTRING(37.588212 55.772329, 37.588581 55.772112, 37.588708 55.772038)",
"style": "normal"
}
],
"names": [
"площадь Тверская Застава"
]
},
"outcoming_path_comment": "500 m straight",
"type": "begin"
},
{
"comment": "Left turn onto Васильевская",
"icon": "crossroad_left",
"id": "6773403868318129740",
"outcoming_path": {
"distance": 230,
"duration": 97,
"geometry": [
{
"color": "normal",
"length": 223,
"selection": "LINESTRING(37.588708 55.772038, 37.588824 55.772103, 37.588938 55.772168, 37.589561 55.772519, 37.589644 55.772566, 37.589753 55.772628, 37.590258 55.772912, 37.590321 55.772949, 37.590525 55.773064, 37.590635 55.773126, 37.590786 55.773209, 37.590890 55.773267, 37.591282 55.773479)",
"style": "normal"
},
{
"color": "fast",
"length": 7,
"selection": "LINESTRING(37.591282 55.773479, 37.591366 55.773525)",
"style": "normal"
}
],
"names": [
"Васильевская"
]
},
"outcoming_path_comment": "250 m straight",
"turn_angle": -91,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn onto 2-я Тверская-Ямская",
"icon": "crossroad_right",
"id": "13245471091796004948",
"outcoming_path": {
"distance": 301,
"duration": 155,
"geometry": [
{
"color": "slow-jams",
"length": 120,
"selection": "LINESTRING(37.591366 55.773525, 37.591455 55.773474, 37.591671 55.773347, 37.591824 55.773258, 37.592596 55.772807, 37.592733 55.772726)",
"style": "normal"
},
{
"color": "slow",
"length": 181,
"selection": "LINESTRING(37.592733 55.772726, 37.592824 55.772674, 37.593035 55.772550, 37.593465 55.772299, 37.593484 55.772289, 37.593690 55.772168, 37.593771 55.772121, 37.593907 55.772041, 37.594263 55.771833, 37.594718 55.771567, 37.594780 55.771531)",
"style": "normal"
}
],
"names": [
"2-я Тверская-Ямская"
]
},
"outcoming_path_comment": "300 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn onto 1-й Тверской-Ямской переулок",
"icon": "crossroad_left",
"id": "1085263577966838617",
"outcoming_path": {
"distance": 174,
"duration": 70,
"geometry": [
{
"color": "slow",
"length": 174,
"selection": "LINESTRING(37.594780 55.771531, 37.594841 55.771564, 37.594881 55.771585, 37.595304 55.771812, 37.595704 55.772027, 37.595806 55.772081, 37.595894 55.772128, 37.596753 55.772588, 37.596834 55.772632)",
"style": "normal"
}
],
"names": [
"1-й Тверской-Ямской переулок"
]
},
"outcoming_path_comment": "150 m straight",
"turn_angle": -90,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn onto 4-я Тверская-Ямская",
"icon": "crossroad_right",
"id": "1028688211025420154",
"outcoming_path": {
"distance": 183,
"duration": 53,
"geometry": [
{
"color": "normal",
"length": 183,
"selection": "LINESTRING(37.596834 55.772632, 37.596908 55.772588, 37.597141 55.772452, 37.597349 55.772331, 37.597721 55.772113, 37.598051 55.771921, 37.598556 55.771625, 37.598820 55.771471, 37.598908 55.771419)",
"style": "normal"
}
],
"names": [
"4-я Тверская-Ямская"
]
},
"outcoming_path_comment": "200 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Right turn onto Оружейный переулок",
"icon": "crossroad_right",
"id": "6387528810110570573",
"outcoming_path": {
"distance": 89,
"duration": 24,
"geometry": [
{
"color": "normal",
"length": 89,
"selection": "LINESTRING(37.598908 55.771419, 37.597742 55.770949)",
"style": "normal"
}
],
"names": [
"Оружейный переулок"
]
},
"outcoming_path_comment": "90 m straight",
"turn_angle": 98,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Keep left",
"icon": "crossroad_keep_left",
"id": "579609855491212896",
"outcoming_path": {
"distance": 112,
"duration": 51,
"geometry": [
{
"color": "normal",
"length": 112,
"selection": "LINESTRING(37.597742 55.770949, 37.597322 55.770779, 37.597245 55.770734, 37.597197 55.770689, 37.597175 55.770645, 37.597174 55.770599, 37.597186 55.770557, 37.597215 55.770514, 37.597261 55.770473, 37.597375 55.770397, 37.597450 55.770347, 37.597491 55.770320, 37.597716 55.770172)",
"style": "normal"
}
],
"names": []
},
"outcoming_path_comment": "100 m straight",
"turn_angle": -29,
"turn_direction": "keep_left",
"type": "crossroad"
},
{
"comment": "Left turn onto Садовая-Триумфальная",
"icon": "crossroad_left",
"id": "11625686416142498969",
"outcoming_path": {
"distance": 4041,
"duration": 855,
"geometry": [
{
"color": "fast",
"length": 19,
"selection": "LINESTRING(37.597716 55.770172, 37.597809 55.770140, 37.597831 55.770135, 37.597862 55.770132, 37.597883 55.770133, 37.597914 55.770137, 37.598008 55.770158)",
"style": "normal"
},
{
"color": "slow",
"length": 457,
"selection": "LINESTRING(37.598008 55.770158, 37.598076 55.770192, 37.598210 55.770249, 37.599275 55.770728, 37.599882 55.770936, 37.600050 55.770989, 37.600407 55.771103, 37.600831 55.771230, 37.600914 55.771254, 37.600957 55.771272, 37.601329 55.771460, 37.602336 55.771763, 37.602421 55.771789, 37.602861 55.771922, 37.603929 55.772247, 37.604227 55.772338)",
"style": "normal"
},
{
"color": "normal",
"length": 185,
"selection": "LINESTRING(37.604227 55.772338, 37.604516 55.772426, 37.605210 55.772564, 37.605213 55.772565, 37.605268 55.772575, 37.605728 55.772651, 37.605822 55.772664, 37.607062 55.772839)",
"style": "normal"
},
{
"color": "fast",
"length": 17,
"selection": "LINESTRING(37.607062 55.772839, 37.607333 55.772877)",
"style": "normal"
},
{
"color": "normal",
"length": 105,
"selection": "LINESTRING(37.607333 55.772877, 37.607382 55.772884, 37.608251 55.772986, 37.608986 55.773080)",
"style": "normal"
},
{
"color": "fast",
"length": 525,
"selection": "LINESTRING(37.608986 55.773080, 37.609121 55.773096, 37.609234 55.773109, 37.610156 55.773194, 37.610728 55.773247, 37.611026 55.773277, 37.611498 55.773310, 37.612248 55.773363, 37.612442 55.773370, 37.613457 55.773408, 37.615054 55.773470, 37.617345 55.773557)",
"style": "normal"
},
{
"color": "fast",
"length": 370,
"selection": "LINESTRING(37.617345 55.773557, 37.619000 55.773621, 37.619209 55.773628, 37.621035 55.773684, 37.621922 55.773690, 37.623161 55.773671, 37.623250 55.773668)",
"style": "bridge"
},
{
"color": "fast",
"length": 293,
"selection": "LINESTRING(37.623250 55.773668, 37.624510 55.773622, 37.625672 55.773548, 37.625906 55.773531, 37.626549 55.773483, 37.627213 55.773398, 37.627407 55.773378, 37.627898 55.773317)",
"style": "normal"
},
{
"color": "normal",
"length": 154,
"selection": "LINESTRING(37.627898 55.773317, 37.628220 55.773274, 37.629057 55.773153, 37.630300 55.772978)",
"style": "normal"
},
{
"color": "slow",
"length": 100,
"selection": "LINESTRING(37.630300 55.772978, 37.630537 55.772946, 37.631810 55.772768, 37.631859 55.772761)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 28,
"selection": "LINESTRING(37.631859 55.772761, 37.632302 55.772699)",
"style": "normal"
},
{
"color": "slow",
"length": 94,
"selection": "LINESTRING(37.632302 55.772699, 37.632528 55.772668, 37.633038 55.772597, 37.633286 55.772569, 37.633809 55.772511)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 231,
"selection": "LINESTRING(37.633809 55.772511, 37.635934 55.772276, 37.636482 55.772197, 37.636863 55.772130, 37.637246 55.772053, 37.637383 55.772024)",
"style": "normal"
},
{
"color": "slow",
"length": 429,
"selection": "LINESTRING(37.637383 55.772024, 37.637746 55.771946, 37.638398 55.771787, 37.638671 55.771709, 37.639223 55.771539, 37.639458 55.771467, 37.640138 55.771258, 37.641596 55.770815, 37.642386 55.770573, 37.642720 55.770474, 37.642942 55.770406, 37.643525 55.770234)",
"style": "normal"
},
{
"color": "normal",
"length": 32,
"selection": "LINESTRING(37.643525 55.770234, 37.643708 55.770178, 37.643975 55.770092)",
"style": "normal"
},
{
"color": "slow",
"length": 26,
"selection": "LINESTRING(37.643975 55.770092, 37.644348 55.769976)",
"style": "normal"
},
{
"color": "normal",
"length": 104,
"selection": "LINESTRING(37.644348 55.769976, 37.644647 55.769882, 37.645657 55.769580, 37.645818 55.769531)",
"style": "normal"
},
{
"color": "fast",
"length": 135,
"selection": "LINESTRING(37.645818 55.769531, 37.646121 55.769442, 37.646389 55.769364, 37.647223 55.769158, 37.647789 55.769017)",
"style": "normal"
},
{
"color": "normal",
"length": 644,
"selection": "LINESTRING(37.647789 55.769017, 37.648564 55.768776, 37.649337 55.768557, 37.649691 55.768459, 37.649817 55.768424, 37.649886 55.768391, 37.650113 55.768283, 37.650280 55.768171, 37.651022 55.767635, 37.651497 55.767307, 37.651966 55.766988, 37.652654 55.766522, 37.653423 55.765990, 37.653591 55.765874, 37.653911 55.765652, 37.654967 55.764923)",
"style": "normal"
},
{
"color": "fast",
"length": 93,
"selection": "LINESTRING(37.654967 55.764923, 37.655597 55.764466, 37.655881 55.764258)",
"style": "normal"
}
],
"names": [
"Садовая-Триумфальная"
]
},
"outcoming_path_comment": "4 km straight",
"turn_angle": -91,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "U-turn on Садовая-Черногрязская",
"icon": "turn_over_right_hand",
"id": "1464762207375949395",
"outcoming_path": {
"distance": 71,
"duration": 52,
"geometry": [
{
"color": "fast",
"length": 22,
"selection": "LINESTRING(37.655881 55.764258, 37.655917 55.764246, 37.655955 55.764239, 37.655993 55.764237, 37.656027 55.764240, 37.656049 55.764245, 37.656067 55.764253, 37.656086 55.764271, 37.656095 55.764288, 37.656094 55.764310, 37.656076 55.764339)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 49,
"selection": "LINESTRING(37.656076 55.764339, 37.655591 55.764691)",
"style": "normal"
}
],
"names": [
"Садовая-Черногрязская"
]
},
"outcoming_path_comment": "70 m straight",
"turn_angle": -180,
"turn_direction": "uturn_left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "8306666507013583082",
"outcoming_path": {
"distance": 36,
"duration": 10,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.655591 55.764691, 37.655782 55.764778, 37.655867 55.764818)",
"style": "living_zone"
},
{
"color": "ignore",
"length": 12,
"selection": "LINESTRING(37.655867 55.764818, 37.656014 55.764887)",
"style": "archway"
},
{
"color": "ignore",
"length": 3,
"selection": "LINESTRING(37.656014 55.764887, 37.656064 55.764909)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "40 m straight",
"turn_angle": 89,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "12739783449518562389",
"outcoming_path": {
"distance": 93,
"duration": 25,
"geometry": [
{
"color": "ignore",
"length": 93,
"selection": "LINESTRING(37.656064 55.764909, 37.656554 55.764570, 37.656591 55.764558, 37.656635 55.764560, 37.656674 55.764578, 37.656728 55.764601, 37.656741 55.764609, 37.656749 55.764617, 37.656755 55.764630, 37.656755 55.764641, 37.656749 55.764655, 37.656538 55.764857)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "90 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "1318899555527200608",
"outcoming_path": {
"distance": 21,
"duration": 6,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.656538 55.764857, 37.656510 55.764857, 37.656485 55.764865, 37.656303 55.764992)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": -46,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "16299676055191541528",
"outcoming_path": {
"distance": 18,
"duration": 5,
"geometry": [
{
"color": "ignore",
"length": 18,
"selection": "LINESTRING(37.656303 55.764992, 37.656543 55.765075, 37.656553 55.765080)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 0.0,
"requested_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"result_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"route_id": "moscow-tax-back.m1/taxirouting/1772715400.249871",
"total_distance": 5878,
"total_duration": 1647,
"type": "taxirouting",
"ui_total_distance": {
"unit": "km",
"value": "5.9"
},
"ui_total_duration": "27 min",
"waypoints": [
{
"original_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"projected_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
},
{
"algorithm": "will consider bus lanes and traffic jams",
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.583086 55.775486)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"filter_road_types": [
"highway"
],
"id": "10953371326689827522",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "11211916664825199617",
"outcoming_path": {
"distance": 30,
"duration": 13,
"geometry": [
{
"color": "normal",
"length": 30,
"selection": "LINESTRING(37.583086 55.775486, 37.583150 55.775405, 37.583231 55.775307, 37.583253 55.775281, 37.583307 55.775231)",
"style": "normal"
}
],
"names": [
"площадь Тверская Застава"
]
},
"outcoming_path_comment": "30 m straight",
"type": "begin"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "11384896322393880127",
"outcoming_path": {
"distance": 164,
"duration": 68,
"geometry": [
{
"color": "fast",
"length": 18,
"selection": "LINESTRING(37.583307 55.775231, 37.583561 55.775318)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 58,
"selection": "LINESTRING(37.583561 55.775318, 37.583628 55.775341, 37.583734 55.775385, 37.583827 55.775434, 37.584035 55.775570, 37.584217 55.775689)",
"style": "normal"
},
{
"color": "slow",
"length": 79,
"public_transport_lane": true,
"selection": "LINESTRING(37.584217 55.775689, 37.584347 55.775775, 37.584624 55.775956, 37.584979 55.776188, 37.585058 55.776240)",
"style": "normal"
},
{
"color": "normal",
"length": 9,
"public_transport_lane": true,
"selection": "LINESTRING(37.585058 55.776240, 37.585154 55.776303)",
"style": "normal"
}
],
"names": []
},
"outcoming_path_comment": "150 m straight",
"turn_angle": -92,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn onto 1-я Тверская-Ямская",
"icon": "crossroad_right",
"id": "17862837784226229369",
"outcoming_path": {
"distance": 2824,
"duration": 843,
"geometry": [
{
"color": "slow",
"length": 491,
"selection": "LINESTRING(37.585154 55.776303, 37.585445 55.776157, 37.585492 55.776131, 37.585658 55.776039, 37.586214 55.775714, 37.588010 55.774663, 37.588280 55.774505, 37.590369 55.773281, 37.590635 55.773126)",
"style": "normal"
},
{
"color": "normal",
"length": 125,
"selection": "LINESTRING(37.590635 55.773126, 37.592026 55.772311)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 27,
"selection": "LINESTRING(37.592026 55.772311, 37.592333 55.772132)",
"style": "normal"
},
{
"color": "slow",
"length": 158,
"selection": "LINESTRING(37.592333 55.772132, 37.594081 55.771108)",
"style": "normal"
},
{
"color": "normal",
"length": 244,
"selection": "LINESTRING(37.594081 55.771108, 37.594993 55.770574, 37.595598 55.770219, 37.595740 55.770136, 37.595903 55.770019, 37.596125 55.769859, 37.596682 55.769461, 37.596711 55.769445)",
"style": "normal"
},
{
"color": "slow",
"length": 211,
"selection": "LINESTRING(37.596711 55.769445, 37.597332 55.769104, 37.598026 55.768722, 37.599143 55.768109)",
"style": "normal"
},
{
"color": "normal",
"length": 152,
"selection": "LINESTRING(37.599143 55.768109, 37.599686 55.767811, 37.600043 55.767616, 37.600420 55.767408, 37.600897 55.767147)",
"style": "normal"
},
{
"color": "slow",
"length": 964,
"selection": "LINESTRING(37.600897 55.767147, 37.601521 55.766805, 37.601900 55.766596, 37.602422 55.766310, 37.603289 55.765833, 37.603830 55.765536, 37.604201 55.765332, 37.604264 55.765298, 37.605221 55.764772, 37.605331 55.764712, 37.605589 55.764564, 37.605755 55.764468, 37.605892 55.764379, 37.605943 55.764346, 37.606052 55.764261, 37.606330 55.764042, 37.607409 55.763195, 37.608277 55.762513, 37.608419 55.762402, 37.608663 55.762210, 37.608964 55.761973, 37.609189 55.761797, 37.609668 55.761364, 37.610581 55.760402)",
"style": "normal"
},
{
"color": "normal",
"length": 208,
"selection": "LINESTRING(37.610581 55.760402, 37.611732 55.759187, 37.611881 55.759030, 37.612156 55.758740)",
"style": "normal"
},
{
"color": "fast",
"length": 103,
"selection": "LINESTRING(37.612156 55.758740, 37.612480 55.758397, 37.612745 55.758176, 37.613042 55.757957)",
"style": "normal"
},
{
"color": "slow",
"length": 141,
"selection": "LINESTRING(37.613042 55.757957, 37.613061 55.757943, 37.613220 55.757842, 37.613439 55.757702, 37.614188 55.757327, 37.614359 55.757241, 37.614424 55.757209, 37.614692 55.757075)",
"style": "normal"
}
],
"names": [
"1-я Тверская-Ямская"
]
},
"outcoming_path_comment": "2.8 km straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn onto Охотный Ряд",
"icon": "crossroad_left",
"id": "4877605771334156066",
"outcoming_path": {
"distance": 711,
"duration": 142,
"geometry": [
{
"color": "slow",
"length": 25,
"selection": "LINESTRING(37.614692 55.757075, 37.614880 55.756984, 37.615022 55.756943)",
"style": "normal"
},
{
"color": "normal",
"length": 440,
"selection": "LINESTRING(37.615022 55.756943, 37.615076 55.756942, 37.615157 55.756952, 37.615216 55.756962, 37.615276 55.756977, 37.615375 55.757008, 37.615474 55.757045, 37.615885 55.757209, 37.616106 55.757348, 37.617164 55.758021, 37.617490 55.758218, 37.617688 55.758337, 37.617914 55.758435, 37.618154 55.758495, 37.618405 55.758539, 37.618690 55.758588, 37.619878 55.758794, 37.620053 55.758825, 37.620388 55.758883, 37.620854 55.758964)",
"style": "normal"
},
{
"color": "normal",
"length": 188,
"public_transport_lane": true,
"selection": "LINESTRING(37.620854 55.758964, 37.621520 55.759079, 37.622236 55.759179, 37.622780 55.759255, 37.623755 55.759390)",
"style": "normal"
},
{
"color": "slow",
"length": 58,
"public_transport_lane": true,
"selection": "LINESTRING(37.623755 55.759390, 37.624658 55.759515)",
"style": "normal"
}
],
"names": [
"Охотный Ряд"
]
},
"outcoming_path_comment": "700 m straight",
"turn_angle": -60,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Keep right on Новая площадь",
"icon": "crossroad_keep_right",
"id": "6522967238110211462",
"outcoming_path": {
"distance": 477,
"duration": 165,
"geometry": [
{
"color": "slow",
"length": 462,
"selection": "LINESTRING(37.624658 55.759515, 37.625049 55.759532, 37.625210 55.759535, 37.625387 55.759532, 37.625526 55.759521, 37.625663 55.759504, 37.625747 55.759487, 37.625791 55.759478, 37.625904 55.759444, 37.625994 55.759402, 37.626075 55.759353, 37.626542 55.759020, 37.626797 55.758837, 37.627134 55.758596, 37.627309 55.758471, 37.627604 55.758260, 37.627872 55.758068, 37.629510 55.756897, 37.629731 55.756739)",
"style": "normal"
},
{
"color": "normal",
"length": 15,
"selection": "LINESTRING(37.629731 55.756739, 37.629801 55.756689, 37.629850 55.756654, 37.629895 55.756632)",
"style": "normal"
}
],
"names": [
"Новая площадь"
]
},
"outcoming_path_comment": "500 m straight",
"turn_angle": 10,
"turn_direction": "keep_right",
"type": "crossroad"
},
{
"comment": "Left turn onto площадь Ильинские Ворота",
"icon": "crossroad_left",
"id": "6693510811665348416",
"outcoming_path": {
"distance": 1861,
"duration": 572,
"geometry": [
{
"color": "normal",
"length": 19,
"selection": "LINESTRING(37.629895 55.756632, 37.629978 55.756619, 37.630038 55.756617, 37.630106 55.756623, 37.630198 55.756645)",
"style": "normal"
},
{
"color": "fast",
"length": 88,
"selection": "LINESTRING(37.630198 55.756645, 37.630971 55.756953, 37.631358 55.757108)",
"style": "normal"
},
{
"color": "normal",
"length": 465,
"selection": "LINESTRING(37.631358 55.757108, 37.631510 55.757168, 37.631622 55.757199, 37.631670 55.757213, 37.631827 55.757252, 37.631923 55.757272, 37.632087 55.757308, 37.632317 55.757358, 37.632359 55.757366, 37.632614 55.757414, 37.632704 55.757432, 37.633055 55.757485, 37.633207 55.757503, 37.633488 55.757537, 37.633724 55.757566, 37.633783 55.757573, 37.634140 55.757600, 37.634746 55.757634, 37.635261 55.757663, 37.635590 55.757681, 37.635743 55.757690, 37.636312 55.757722, 37.636337 55.757724, 37.636550 55.757739, 37.636752 55.757770, 37.636968 55.757820, 37.637080 55.757845, 37.637735 55.757996, 37.638128 55.758086, 37.638437 55.758157, 37.638642 55.758204)",
"style": "normal"
},
{
"color": "slow",
"length": 76,
"selection": "LINESTRING(37.638642 55.758204, 37.639772 55.758464)",
"style": "normal"
},
{
"color": "normal",
"length": 9,
"selection": "LINESTRING(37.639772 55.758464, 37.639913 55.758496)",
"style": "normal"
},
{
"color": "slow",
"length": 346,
"selection": "LINESTRING(37.639913 55.758496, 37.640505 55.758599, 37.640845 55.758658, 37.641213 55.758722, 37.641348 55.758745, 37.641594 55.758788, 37.641693 55.758805, 37.642116 55.758876, 37.643212 55.759058, 37.643303 55.759069, 37.643928 55.759139, 37.643976 55.759145, 37.644427 55.759197, 37.645136 55.759277, 37.645355 55.759302)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 48,
"selection": "LINESTRING(37.645355 55.759302, 37.646107 55.759386)",
"style": "normal"
},
{
"color": "slow",
"length": 14,
"selection": "LINESTRING(37.646107 55.759386, 37.646278 55.759405, 37.646352 55.759417)",
"style": "normal"
},
{
"color": "normal",
"length": 796,
"selection": "LINESTRING(37.646352 55.759417, 37.646405 55.759425, 37.646523 55.759444, 37.646640 55.759462, 37.647064 55.759528, 37.647326 55.759581, 37.647435 55.759604, 37.647605 55.759639, 37.647686 55.759656, 37.647877 55.759695, 37.648082 55.759738, 37.648147 55.759758, 37.648266 55.759794, 37.648531 55.759893, 37.648620 55.759926, 37.648975 55.760098, 37.649122 55.760169, 37.649457 55.760331, 37.649506 55.760360, 37.649573 55.760399, 37.649617 55.760428, 37.649720 55.760498, 37.649886 55.760610, 37.649948 55.760653, 37.650400 55.760959, 37.650498 55.761026, 37.650552 55.761063, 37.650625 55.761112, 37.650686 55.761152, 37.650723 55.761176, 37.651595 55.761747, 37.651709 55.761822, 37.651900 55.761947, 37.651980 55.761999, 37.652258 55.762182, 37.652370 55.762250, 37.652487 55.762314, 37.652695 55.762420, 37.652816 55.762482, 37.652856 55.762503, 37.653203 55.762681, 37.653603 55.762887, 37.653911 55.763044, 37.654023 55.763099, 37.654131 55.763152, 37.654208 55.763189, 37.654436 55.763298, 37.654489 55.763323, 37.654911 55.763513, 37.655096 55.763596, 37.655188 55.763638, 37.655250 55.763663, 37.655523 55.763774, 37.655742 55.763856, 37.655887 55.763910, 37.655978 55.763942, 37.656208 55.764020)",
"style": "normal"
}
],
"names": [
"площадь Ильинские Ворота"
]
},
"outcoming_path_comment": "1.9 km straight",
"turn_angle": -84,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Left turn onto Садовая-Черногрязская",
"icon": "crossroad_left",
"id": "2816043834990064336",
"outcoming_path": {
"distance": 98,
"duration": 72,
"geometry": [
{
"color": "fast",
"length": 15,
"selection": "LINESTRING(37.656208 55.764020, 37.656416 55.764092)",
"style": "normal"
},
{
"color": "slow-jams",
"length": 83,
"selection": "LINESTRING(37.656416 55.764092, 37.656235 55.764223, 37.656076 55.764339, 37.655591 55.764691)",
"style": "normal"
}
],
"names": [
"Садовая-Черногрязская"
]
},
"outcoming_path_comment": "100 m straight",
"turn_angle": -97,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "6926332735164478758",
"outcoming_path": {
"distance": 36,
"duration": 10,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.655591 55.764691, 37.655782 55.764778, 37.655867 55.764818)",
"style": "living_zone"
},
{
"color": "ignore",
"length": 12,
"selection": "LINESTRING(37.655867 55.764818, 37.656014 55.764887)",
"style": "archway"
},
{
"color": "ignore",
"length": 3,
"selection": "LINESTRING(37.656014 55.764887, 37.656064 55.764909)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "40 m straight",
"turn_angle": 89,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "5367251321083571674",
"outcoming_path": {
"distance": 93,
"duration": 25,
"geometry": [
{
"color": "ignore",
"length": 93,
"selection": "LINESTRING(37.656064 55.764909, 37.656554 55.764570, 37.656591 55.764558, 37.656635 55.764560, 37.656674 55.764578, 37.656728 55.764601, 37.656741 55.764609, 37.656749 55.764617, 37.656755 55.764630, 37.656755 55.764641, 37.656749 55.764655, 37.656538 55.764857)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "90 m straight",
"turn_angle": 90,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "Left turn",
"icon": "crossroad_left",
"id": "11008284284218689129",
"outcoming_path": {
"distance": 21,
"duration": 6,
"geometry": [
{
"color": "ignore",
"length": 21,
"selection": "LINESTRING(37.656538 55.764857, 37.656510 55.764857, 37.656485 55.764865, 37.656303 55.764992)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": -46,
"turn_direction": "left",
"type": "crossroad"
},
{
"comment": "Right turn",
"icon": "crossroad_right",
"id": "15296099717473006539",
"outcoming_path": {
"distance": 18,
"duration": 5,
"geometry": [
{
"color": "ignore",
"length": 18,
"selection": "LINESTRING(37.656303 55.764992, 37.656543 55.765075, 37.656553 55.765080)",
"style": "living_zone"
}
],
"names": []
},
"outcoming_path_comment": "20 m straight",
"turn_angle": 91,
"turn_direction": "right",
"type": "crossroad"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 0.0,
"requested_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"result_filters": [
"dirt_road",
"toll_road",
"ferry"
],
"route_id": "moscow-tax-back.m1/taxirouting/1772715400.250740",
"total_distance": 6333,
"total_duration": 1920,
"type": "taxirouting",
"ui_total_distance": {
"unit": "km",
"value": "6.3"
},
"ui_total_duration": "32 min",
"waypoints": [
{
"original_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"projected_point": {
"lat": 55.77548691400483,
"lon": 37.58308675494588
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
}
],
"status": "OK",
"type": "result"
}

By bicycle

When building a route for cycling, car roads, bike paths, and sidewalks are taken into account. You can configure the route to avoid car roads and stairs without ramps, as well as include altitude change information in the response.

To build a route by bicycle, send a POST request to /routing/7.0.0/global with the following parameters:

  • points (mandatory parameter) - array of coordinates of route points. Specify at least two points: starting and ending.

  • transport: bicycle - transportation type: by bicycle.

  • filters - exclusion of certain road types:

    • dirt_road - dirt roads
    • ferry - ferry crossings
    • highway - main streets (city arterial streets, intercity roads, and highways)
    • ban_car_road - car roads
    • ban_stairway - stairs without ramps
  • output - result format:

    • summary - simplified output, only time and route length in the response
    • detailed - full output with route geometry
  • locale - language of text descriptions of route elements: English.

  • need_altitudes: true - information about altitudes along the route.

Request example:

curl --request POST \
--url 'https://routing.api.2gis.com/routing/7.0.0/global?key=API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"points": [
{
"type": "stop",
"lon": 37.582591,
"lat": 55.775364
},
{
"type": "stop",
"lon": 37.656625,
"lat": 55.765036
}
],
"transport": "bicycle",
"filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"output": "detailed",
"locale": "en",
"need_altitudes": true
}'

Response example:

response.json
{
"message": null,
"query": {
"filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"locale": "en",
"need_altitudes": true,
"output": "detailed",
"points": [
{
"lat": 55.775364,
"lon": 37.582591,
"type": "stop"
},
{
"lat": 55.765036,
"lon": 37.656625,
"type": "stop"
}
],
"transport": "bicycle"
},
"result": [
{
"algorithm": "safe",
"altitudes_info": {
"elevation_gain": 6750,
"elevation_loss": 7020,
"max_altitude": 18070,
"max_road_angle": 7,
"min_altitude": 15900
},
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.582732 55.775427)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"id": "17172905127689846368",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "2231515460490147030",
"outcoming_path": {
"distance": 6729,
"duration": 1950,
"geometry": [
{
"angles": "LINESTRING(0, 0, 0, 0, 0, 0, 0, -1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0)",
"length": 324,
"selection": "LINESTRING(37.582732 55.775427 17300, 37.582792 55.775442 17300, 37.582634 55.775643 17280, 37.582525 55.775781 17280, 37.582362 55.775987 17290, 37.582308 55.776117 17290, 37.582292 55.776158 17290, 37.582270 55.776212 17290, 37.582021 55.776526 17220, 37.582011 55.776539 17210, 37.582001 55.776551 17210, 37.581796 55.776810 17220, 37.581812 55.776856 17220, 37.581834 55.776926 17220, 37.582132 55.777094 17190, 37.582338 55.777211 17200, 37.582482 55.777292 17200, 37.582620 55.777370 17190, 37.583213 55.777710 17330, 37.583226 55.777717 17330, 37.583315 55.777750 17320, 37.583416 55.777767 17320, 37.583500 55.777783 17320)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1, 0, 0, -1, 0, 0, 1, 2, 1)",
"length": 103,
"selection": "LINESTRING(37.583500 55.777783 17320, 37.583719 55.777921 17360, 37.583772 55.777955 17360, 37.583803 55.777970 17360, 37.583846 55.777982 17350, 37.583892 55.777988 17350, 37.583930 55.777988 17350, 37.584460 55.777927 17480, 37.584869 55.777880 17650, 37.584977 55.777866 17680)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0)",
"length": 28,
"selection": "LINESTRING(37.584977 55.777866 17680, 37.585084 55.778054 17680, 37.585187 55.778046 17680)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 8,
"selection": "LINESTRING(37.585187 55.778046 17680, 37.585315 55.778032 17680)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0, 1, 0, -1, 0, 0, 0, -1, 0)",
"length": 148,
"selection": "LINESTRING(37.585315 55.778032 17680, 37.585434 55.778019 17690, 37.585478 55.778178 17690, 37.585754 55.778015 17720, 37.585936 55.777909 17750, 37.586054 55.777840 17760, 37.586125 55.777799 17750, 37.586223 55.777741 17740, 37.586328 55.777680 17750, 37.586711 55.777457 17790, 37.586778 55.777500 17780, 37.586843 55.777469 17780)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 12,
"selection": "LINESTRING(37.586843 55.777469 17780, 37.586989 55.777398 17770)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, -1, 0, 0, 1, 0, 0)",
"length": 185,
"selection": "LINESTRING(37.586989 55.777398 17770, 37.587695 55.777860 17850, 37.587795 55.777926 17840, 37.587857 55.777896 17830, 37.588159 55.777750 17850, 37.588473 55.777598 17880, 37.588580 55.777546 17910, 37.588953 55.777365 17920, 37.589107 55.777290 17930)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 4,
"selection": "LINESTRING(37.589107 55.777290 17930, 37.589056 55.777257 17930)",
"style": "living_zone",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1)",
"length": 875,
"selection": "LINESTRING(37.589056 55.777257 17930, 37.589629 55.776979 17930, 37.589712 55.776939 17950, 37.590526 55.776543 17940, 37.590827 55.776397 17940, 37.591127 55.776251 17940, 37.591153 55.776238 17940, 37.591160 55.776228 17940, 37.591160 55.776220 17940, 37.591155 55.776213 17940, 37.591229 55.776172 17950, 37.591285 55.776140 17950, 37.591302 55.776141 17950, 37.591325 55.776135 17950, 37.591780 55.775902 17970, 37.592081 55.775661 17990, 37.592393 55.775412 17970, 37.593003 55.774783 17950, 37.593140 55.774714 17960, 37.593188 55.774692 17960, 37.593247 55.774725 17960, 37.593407 55.774635 17960, 37.593491 55.774586 17960, 37.593856 55.774372 17970, 37.594049 55.774259 17990, 37.594318 55.774102 18000, 37.594686 55.773886 18030, 37.594774 55.773836 18040, 37.594863 55.773783 18030, 37.594953 55.773731 18030, 37.595721 55.773282 18030, 37.595961 55.773142 18010, 37.596416 55.772876 18000, 37.596750 55.772681 18000, 37.596834 55.772632 18010, 37.596908 55.772588 18000, 37.597141 55.772452 18020, 37.597349 55.772331 18030, 37.597721 55.772113 18050, 37.598051 55.771921 18070, 37.598556 55.771625 17960)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2)",
"length": 5,
"selection": "LINESTRING(37.598556 55.771625 17960, 37.598483 55.771595 18000)",
"style": "living_zone",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-3, -1, -2, 0, -1, 3)",
"length": 104,
"selection": "LINESTRING(37.598483 55.771595 18000, 37.598747 55.771442 17790, 37.598820 55.771471 17780, 37.598908 55.771498 17740, 37.599495 55.771674 17780, 37.599768 55.771756 17690, 37.599827 55.771694 17760)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 1, 0, 0, 0, -1, -1, -1, 1, 0, 0, 0, 1, 0, 1)",
"length": 332,
"selection": "LINESTRING(37.599827 55.771694 17760, 37.599888 55.771630 17750, 37.600245 55.771497 17720, 37.600371 55.771428 17740, 37.600408 55.771493 17730, 37.600446 55.771529 17730, 37.600495 55.771556 17730, 37.600562 55.771578 17720, 37.600629 55.771588 17700, 37.600698 55.771594 17690, 37.600854 55.771617 17710, 37.601888 55.771950 17610, 37.602735 55.772260 17630, 37.603227 55.772428 17600, 37.603544 55.772497 17650, 37.604013 55.772600 17650, 37.604313 55.772640 17700)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-1)",
"length": 7,
"selection": "LINESTRING(37.604313 55.772640 17700, 37.604431 55.772656 17680)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-1, 0, -1, 0, -1, 1, -1, -1, 0, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0)",
"length": 246,
"selection": "LINESTRING(37.604431 55.772656 17680, 37.604526 55.772674 17660, 37.604556 55.772687 17660, 37.604587 55.772701 17650, 37.604627 55.772735 17650, 37.604686 55.772757 17640, 37.604760 55.772779 17650, 37.604897 55.772808 17630, 37.604968 55.772836 17620, 37.605102 55.772899 17620, 37.605147 55.772914 17620, 37.605194 55.772921 17610, 37.605384 55.772937 17610, 37.605605 55.772991 17610, 37.605919 55.773020 17590, 37.606161 55.773029 17580, 37.606453 55.773065 17580, 37.606888 55.773107 17580, 37.607314 55.773151 17560, 37.608164 55.773236 17510)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 10,
"selection": "LINESTRING(37.608164 55.773236 17510, 37.608196 55.773140 17500)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 17,
"selection": "LINESTRING(37.608196 55.773140 17500, 37.608251 55.772986 17480)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2, -2, -1, 0, -2, 0, -1, -2, -1, 0, 0, 0, 0, -1, 7, -8, -2, 2, 2, 1, 2, 0, -1, -1, -2, -1, -2, 0, 0, -8, 5, -1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 6, 1, 0, 4, 0, 0, 4, 0)",
"length": 1320,
"selection": "LINESTRING(37.608251 55.772986 17480, 37.608309 55.772843 17560, 37.608945 55.772923 17350, 37.609682 55.772135 17190, 37.609797 55.772011 17190, 37.609946 55.771852 17090, 37.610837 55.770897 17040, 37.611508 55.770179 16880, 37.611558 55.770126 16830, 37.611613 55.770074 16800, 37.611693 55.770000 16790, 37.612542 55.769096 16690, 37.612757 55.768871 16670, 37.612878 55.768734 16650, 37.612911 55.768685 16640, 37.613040 55.768716 16820, 37.613164 55.768746 16610, 37.613254 55.768639 16510, 37.613483 55.768365 16690, 37.613502 55.768351 16700, 37.613542 55.768344 16710, 37.613576 55.768343 16720, 37.614341 55.768326 16660, 37.614415 55.768321 16650, 37.614801 55.768292 16550, 37.615138 55.768266 16420, 37.615753 55.768220 16260, 37.616015 55.768192 16180, 37.616318 55.768158 16190, 37.617075 55.768044 16250, 37.617161 55.768031 16110, 37.617239 55.768019 16190, 37.617801 55.767934 16080, 37.619024 55.767750 16010, 37.620921 55.767463 15910, 37.621124 55.767447 15910, 37.621315 55.767431 15900, 37.621939 55.767337 15910, 37.622164 55.767303 15910, 37.622322 55.767272 15910, 37.622938 55.767179 16010, 37.623002 55.767169 16020, 37.623116 55.767152 16020, 37.623490 55.767096 16090, 37.623534 55.767096 16090, 37.623581 55.767106 16090, 37.623667 55.767092 16200, 37.623755 55.767077 16220, 37.623754 55.767071 16220, 37.623757 55.767063 16230, 37.623764 55.767058 16230, 37.623773 55.767055 16230, 37.623786 55.767052 16240, 37.623799 55.767049 16240)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2)",
"length": 95,
"selection": "LINESTRING(37.623799 55.767049 16240, 37.625295 55.766870 16870)",
"style": "stairway",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(4, 2, 2, 2, -7, 0, 2, -1, 1, 0, 0, 0, 0, 4, 0, -1, -1, 2, 0, 0, 0, 1, -2, -9, 0, 3, 0, 4, 0, -1, 0, 0, 2, 3, -3, -10, 0, 2, 1, -1, 0, 0, 1, -2)",
"length": 773,
"selection": "LINESTRING(37.625295 55.766870 16870, 37.625901 55.766797 17350, 37.626059 55.766774 17400, 37.626307 55.766735 17520, 37.626717 55.766683 17690, 37.626791 55.766679 17590, 37.627002 55.766669 17580, 37.627463 55.766660 17730, 37.627678 55.766667 17670, 37.628297 55.766684 17740, 37.628498 55.766689 17730, 37.629589 55.766719 17790, 37.629932 55.766750 17810, 37.630213 55.766782 17810, 37.630314 55.766793 17890, 37.630458 55.766806 17890, 37.630849 55.766842 17800, 37.631022 55.766858 17780, 37.631329 55.766895 17890, 37.631363 55.766918 17890, 37.631381 55.766941 17890, 37.631404 55.767027 17890, 37.631535 55.767016 17920, 37.631579 55.767012 17900, 37.631692 55.767003 17690, 37.631689 55.766992 17690, 37.631690 55.766983 17700, 37.631698 55.766977 17700, 37.631709 55.766974 17710, 37.631721 55.766972 17710, 37.632320 55.766914 17580, 37.633031 55.766845 17620, 37.634178 55.766734 17520, 37.634572 55.766700 17640, 37.634744 55.766703 17730, 37.634825 55.766685 17680, 37.634899 55.766667 17520, 37.635061 55.766627 17510, 37.635534 55.766498 17690, 37.636215 55.766338 17780, 37.636578 55.766412 17690, 37.636773 55.766451 17690, 37.636849 55.766411 17700, 37.636782 55.766377 17710, 37.636913 55.766306 17640)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-2, 0)",
"length": 14,
"selection": "LINESTRING(37.636913 55.766306 17640, 37.636994 55.766262 17590, 37.637078 55.766216 17580)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0, 0, 0, 0, 0, 0, -1, 0, 1, 0, 0, -1, 0, -1, 0, 1, -1, 0, 1, 0, -1, -1, 1)",
"length": 774,
"selection": "LINESTRING(37.637078 55.766216 17580, 37.637222 55.766138 17580, 37.637280 55.766172 17580, 37.637307 55.766187 17580, 37.637429 55.766258 17580, 37.637552 55.766190 17580, 37.638500 55.765672 17500, 37.639018 55.765943 17500, 37.639381 55.766117 17510, 37.639576 55.766215 17470, 37.640942 55.766898 17570, 37.641083 55.766969 17590, 37.641282 55.767069 17580, 37.641519 55.767173 17570, 37.641816 55.767292 17510, 37.642186 55.767439 17480, 37.642806 55.767686 17380, 37.643259 55.767867 17360, 37.643362 55.767908 17380, 37.644244 55.768296 17180, 37.644437 55.768416 17200, 37.644666 55.768559 17260, 37.645101 55.768841 17260, 37.645933 55.769383 17110, 37.645740 55.769443 17050, 37.645819 55.769532 17090)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 20,
"selection": "LINESTRING(37.645819 55.769532 17090, 37.645978 55.769695 17070)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 1, 0, 1, 1, 1, 1, 0, 1, 0, -2, -5, -5, -1, -1, -1, -2, 1, -1, 1, 2, 2, 1, 1, 0, 1, -7, 1, 0, -1, 0, 0, 0, -2, 0, -1, -4, 0, 2)",
"length": 1041,
"selection": "LINESTRING(37.645978 55.769695 17070, 37.646065 55.769786 17070, 37.646278 55.769734 17080, 37.646453 55.769688 17110, 37.646860 55.769583 17140, 37.648035 55.769289 17350, 37.648118 55.769268 17370, 37.648259 55.769233 17410, 37.648549 55.769161 17470, 37.648974 55.769056 17470, 37.649386 55.768954 17520, 37.649612 55.768898 17520, 37.649694 55.768902 17490, 37.649743 55.768916 17440, 37.649783 55.768937 17390, 37.650192 55.769402 17280, 37.650588 55.769850 17150, 37.650786 55.770081 17020, 37.650843 55.770146 16980, 37.651120 55.770077 17010, 37.651305 55.770031 16980, 37.651243 55.769992 16990, 37.650810 55.769480 17360, 37.650791 55.769453 17380, 37.650599 55.769179 17460, 37.650369 55.768948 17540, 37.650292 55.768889 17550, 37.650234 55.768730 17620, 37.650268 55.768695 17520, 37.650364 55.768614 17540, 37.650400 55.768585 17540, 37.650708 55.768367 17400, 37.650706 55.768352 17400, 37.650695 55.768338 17400, 37.652150 55.767277 17220, 37.652525 55.767027 17020, 37.653523 55.766300 17100, 37.653572 55.766264 17090, 37.653644 55.766219 17000, 37.654418 55.765727 16940, 37.654498 55.765764 16980)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1)",
"length": 11,
"selection": "LINESTRING(37.654498 55.765764 16980, 37.654645 55.765831 17010)",
"style": "archway",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2)",
"length": 3,
"selection": "LINESTRING(37.654645 55.765831 17010, 37.654694 55.765853 17030)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2, 0, 0, 0, 0, 0, 0, -1, 0, 1, 0, 3, 0, 0, 2, 1, 0, 0, -1, 1, 0)",
"length": 270,
"selection": "LINESTRING(37.654694 55.765853 17030, 37.654808 55.765775 17110, 37.655060 55.765600 17080, 37.655206 55.765500 17070, 37.655929 55.765000 16980, 37.656064 55.764909 16960, 37.656554 55.764570 16890, 37.656591 55.764558 16890, 37.656635 55.764560 16880, 37.656674 55.764578 16880, 37.656728 55.764601 16890, 37.656741 55.764609 16890, 37.656749 55.764617 16900, 37.656755 55.764630 16900, 37.656755 55.764641 16900, 37.656749 55.764655 16910, 37.656538 55.764857 17020, 37.656510 55.764857 17020, 37.656485 55.764865 17020, 37.656303 55.764992 16960, 37.656543 55.765075 17010, 37.656553 55.765080 17010)",
"style": "living_zone",
"zlevel": "zlevel-normal"
}
],
"names": [
"Заставный переулок"
]
},
"outcoming_path_comment": "6.6 km straight",
"type": "begin"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 1.0,
"requested_filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"result_filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"route_id": "moscow-bc-back.m1/bicyclerouting/1772715755.314101",
"total_distance": 6647,
"total_duration": 1961,
"type": "bicyclerouting",
"ui_total_distance": {
"unit": "km",
"value": "6.6"
},
"ui_total_duration": "32 min",
"waypoints": [
{
"original_point": {
"lat": 55.77542749703997,
"lon": 37.58273299838699
},
"projected_point": {
"lat": 55.77542749703997,
"lon": 37.58273299838699
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
},
{
"algorithm": "shortest",
"altitudes_info": {
"elevation_gain": 7410,
"elevation_loss": 7680,
"max_altitude": 18210,
"max_road_angle": 6,
"min_altitude": 16060
},
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.582732 55.775427)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"id": "15836783539412988196",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "6280891770704913713",
"outcoming_path": {
"distance": 6775,
"duration": 1992,
"geometry": [
{
"angles": "LINESTRING(0, 0, 0, 0, 0)",
"length": 49,
"selection": "LINESTRING(37.582732 55.775427 17300, 37.582792 55.775442 17300, 37.582875 55.775336 17310, 37.582961 55.775228 17320, 37.583103 55.775269 17320, 37.583231 55.775307 17310)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 11,
"selection": "LINESTRING(37.583231 55.775307 17310, 37.583387 55.775364 17320)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-1, 0, 0, 1, 0, 0)",
"length": 62,
"selection": "LINESTRING(37.583387 55.775364 17320, 37.583474 55.775395 17310, 37.583511 55.775408 17310, 37.583625 55.775460 17320, 37.583896 55.775638 17370, 37.583954 55.775717 17370, 37.584009 55.775790 17380)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1, -1, 0, 0, 1, 1, 1, 0, 0, 0, 0)",
"length": 135,
"selection": "LINESTRING(37.584009 55.775790 17380, 37.584084 55.775796 17390, 37.584061 55.775879 17370, 37.584050 55.775921 17370, 37.584049 55.775930 17370, 37.584056 55.775970 17380, 37.584093 55.776010 17390, 37.584146 55.776045 17400, 37.584629 55.776361 17450, 37.584239 55.776550 17420, 37.584031 55.776672 17440, 37.584011 55.776703 17440)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 13,
"selection": "LINESTRING(37.584011 55.776703 17440, 37.584150 55.776794 17450)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 18,
"selection": "LINESTRING(37.584150 55.776794 17450, 37.584351 55.776915 17450)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, -4, 0)",
"length": 124,
"selection": "LINESTRING(37.584351 55.776915 17450, 37.584461 55.776981 17460, 37.584519 55.777015 17470, 37.584540 55.777037 17470, 37.584536 55.777102 17460, 37.584605 55.777115 17480, 37.584698 55.777159 17480, 37.584809 55.776905 17480, 37.584819 55.776880 17490, 37.584828 55.776864 17490, 37.584834 55.776856 17490, 37.584840 55.776850 17490, 37.584852 55.776841 17490, 37.584876 55.776825 17490, 37.585176 55.776646 17500, 37.585205 55.776631 17500, 37.585241 55.776617 17510, 37.585283 55.776602 17510, 37.585313 55.776595 17510, 37.585339 55.776590 17520, 37.585369 55.776587 17520, 37.585380 55.776588 17520, 37.585389 55.776589 17520, 37.585400 55.776593 17510, 37.585460 55.776563 17510)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 12,
"selection": "LINESTRING(37.585460 55.776563 17510, 37.585606 55.776492 17500)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, -1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, -1, -1, 0, 3, -1, 0, 0, 0, -1, 2, -5, 2, -3, -2, 1, 1, -1, 0, 0, 1, 3, 1, 0, 1, 1, 2, 2, 1, -1, -1, 1, -1, 1, -1, 0, 0, -1, -1, 3, 1, -3, 1, 0, 0, -1, 1, -1, 4, -4, 4, -1, -2, -1, -2, 1, -1, 5, -1, 0, 0, 0, -3, -1, 2, -4, 0, 0, -1, 1, 0, 1, 1, 3, 1, -1, -1, 1, -6, -5, 0, -1, -1, 0, -1, 0, -3, 0, 0, 0, 0, -1, -1, -1, -1, -2, 0, 0, 0, 0, -1, -1, 0, 0, -2, 0, -1, -1, -1, 0, 0, 0, 0)",
"length": 2999,
"selection": "LINESTRING(37.585606 55.776492 17500, 37.585669 55.776455 17500, 37.585555 55.776380 17480, 37.585754 55.776275 17480, 37.587430 55.775293 17560, 37.588535 55.774645 17560, 37.588607 55.774597 17630, 37.590774 55.773328 17700, 37.590788 55.773326 17700, 37.590890 55.773267 17700, 37.590996 55.773223 17700, 37.592136 55.772557 17790, 37.592233 55.772500 17790, 37.592262 55.772470 17780, 37.592310 55.772431 17770, 37.594241 55.771299 17700, 37.594293 55.771270 17750, 37.594383 55.771218 17720, 37.594560 55.771114 17720, 37.594847 55.770946 17720, 37.595239 55.770716 17720, 37.595794 55.770391 17620, 37.595992 55.770277 17720, 37.595995 55.770264 17700, 37.596011 55.770251 17710, 37.596088 55.770201 17650, 37.596302 55.770061 17500, 37.596805 55.769701 17590, 37.596913 55.769622 17640, 37.597001 55.769574 17620, 37.597227 55.769449 17640, 37.598335 55.768841 17730, 37.599471 55.768221 17930, 37.599527 55.768190 17980, 37.599607 55.768146 18000, 37.600167 55.767839 18020, 37.600209 55.767818 18030, 37.600266 55.767795 18050, 37.600354 55.767758 18100, 37.600514 55.767669 18170, 37.600539 55.767652 18180, 37.600562 55.767630 18170, 37.600588 55.767609 18160, 37.600827 55.767459 18210, 37.601266 55.767715 18110, 37.601516 55.767861 18180, 37.601577 55.767897 18160, 37.602073 55.768139 18160, 37.602183 55.768187 18160, 37.602892 55.768528 18030, 37.603101 55.768615 18000, 37.603203 55.768648 18070, 37.603269 55.768668 18080, 37.603661 55.768785 17790, 37.603859 55.768843 17830, 37.604095 55.768894 17810, 37.604442 55.768942 17820, 37.604650 55.768964 17790, 37.604898 55.768990 17830, 37.605662 55.769071 17710, 37.605797 55.769086 17810, 37.605980 55.769105 17650, 37.606000 55.769051 17730, 37.606013 55.769013 17720, 37.606029 55.768966 17690, 37.606967 55.769066 17440, 37.607118 55.769082 17380, 37.607799 55.769154 17470, 37.609827 55.769365 16940, 37.609959 55.769384 17070, 37.610175 55.769428 17010, 37.610444 55.769502 17000, 37.610575 55.769550 17000, 37.610825 55.769678 17030, 37.610913 55.769723 16970, 37.611613 55.770074 16800, 37.611798 55.770129 16900, 37.611978 55.770182 16740, 37.612417 55.769712 16700, 37.612795 55.769307 16680, 37.612894 55.769201 16650, 37.613953 55.769495 16770, 37.614084 55.769517 16780, 37.614245 55.769524 16800, 37.614294 55.769524 16810, 37.614433 55.769523 16880, 37.614699 55.769515 16950, 37.615265 55.769497 16890, 37.615723 55.769480 16790, 37.616188 55.769463 16880, 37.616276 55.769460 16770, 37.616364 55.769456 16690, 37.616383 55.769456 16690, 37.616655 55.769445 16650, 37.617328 55.769420 16570, 37.617679 55.769407 16550, 37.617841 55.769400 16530, 37.617896 55.769398 16530, 37.617910 55.769393 16520, 37.617917 55.769386 16520, 37.617916 55.769369 16520, 37.617911 55.769310 16510, 37.617868 55.769147 16500, 37.618050 55.769143 16480, 37.618260 55.769139 16450, 37.618324 55.769145 16440, 37.618412 55.769153 16420, 37.618652 55.769174 16320, 37.618742 55.769182 16320, 37.619163 55.769218 16330, 37.619303 55.769227 16330, 37.619420 55.769227 16320, 37.619482 55.769227 16310, 37.619738 55.769214 16240, 37.620275 55.769216 16200, 37.620286 55.769214 16200, 37.620334 55.769207 16180, 37.620376 55.769200 16180, 37.620529 55.769173 16150, 37.620563 55.769165 16140, 37.620909 55.769130 16060, 37.620905 55.769583 16090, 37.620903 55.769792 16110, 37.620898 55.770205 16120, 37.621095 55.770206 16120)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0, 0, 0, 0)",
"length": 66,
"selection": "LINESTRING(37.621095 55.770206 16120, 37.621364 55.770215 16120, 37.621524 55.770221 16120, 37.621676 55.770226 16120, 37.621833 55.770231 16120, 37.621983 55.770236 16120, 37.622160 55.770242 16130)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 3, 0, 0, 1, 1, 1, 2, 1, 2, 2, 1, 1, 1, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, -1, -1, -5, 0, 0, -5, 1, 0, 0, -1, -1, -1, 0, 6, -1, 0, -1, 0, 0, 0, 0, 0, 0, 3, -1, -2, 0, -1, 1)",
"length": 1345,
"selection": "LINESTRING(37.622160 55.770242 16130, 37.622167 55.770209 16130, 37.622286 55.770217 16130, 37.622452 55.770228 16130, 37.623462 55.770294 16180, 37.624409 55.770356 16260, 37.624855 55.770385 16310, 37.625350 55.770418 16340, 37.625380 55.770420 16350, 37.625438 55.770416 16360, 37.625495 55.770410 16370, 37.625509 55.770427 16370, 37.625542 55.770435 16370, 37.625534 55.770488 16370, 37.625524 55.770555 16360, 37.625537 55.770549 16370, 37.625551 55.770546 16370, 37.625562 55.770543 16370, 37.626397 55.770583 16540, 37.626722 55.770596 16580, 37.627663 55.770639 16740, 37.628125 55.770660 16890, 37.628669 55.770685 16990, 37.628904 55.770696 17080, 37.629238 55.770711 17190, 37.629427 55.770719 17220, 37.630447 55.770766 17480, 37.630703 55.770778 17550, 37.631078 55.770792 17580, 37.631370 55.770805 17580, 37.631426 55.770805 17600, 37.631886 55.770803 17620, 37.632341 55.770801 17750, 37.632479 55.770803 17770, 37.632638 55.770805 17780, 37.632644 55.770698 17770, 37.632644 55.770695 17770, 37.633804 55.770586 17810, 37.634295 55.770540 17790, 37.635116 55.770460 17800, 37.635237 55.770447 17810, 37.635633 55.770409 17810, 37.636029 55.770370 17800, 37.636461 55.770328 17770, 37.636625 55.770317 17740, 37.636757 55.770309 17720, 37.636762 55.770303 17710, 37.636767 55.770300 17710, 37.636776 55.770297 17710, 37.636786 55.770295 17700, 37.637155 55.770226 17750, 37.637377 55.770184 17730, 37.637417 55.770177 17730, 37.637488 55.770163 17720, 37.637677 55.770118 17680, 37.637912 55.770047 17640, 37.638227 55.769951 17630, 37.638259 55.769941 17670, 37.638329 55.769920 17660, 37.638492 55.769871 17670, 37.639156 55.769669 17550, 37.639612 55.769531 17520, 37.640002 55.769413 17500, 37.640016 55.769410 17500, 37.640037 55.769410 17500, 37.640049 55.769413 17500, 37.640062 55.769420 17500, 37.640124 55.769383 17550, 37.640202 55.769335 17520, 37.640626 55.769097 17290, 37.641031 55.768870 17280, 37.641693 55.769254 17040, 37.641884 55.769149 17100)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(6)",
"length": 10,
"selection": "LINESTRING(37.641884 55.769149 17100, 37.642005 55.769083 17310)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-3, 1, 2, -2, -2, -2, -1, 0, 1, 1, 1, 1, 0, 0, -1, -1, 1)",
"length": 356,
"selection": "LINESTRING(37.642005 55.769083 17310, 37.642186 55.768985 17140, 37.642258 55.769026 17160, 37.642716 55.768775 17430, 37.643044 55.768596 17230, 37.643114 55.768574 17200, 37.643197 55.768575 17170, 37.643285 55.768596 17150, 37.643954 55.768826 17130, 37.643991 55.768805 17140, 37.644051 55.768779 17160, 37.644574 55.768605 17250, 37.644644 55.768572 17260, 37.644666 55.768559 17260, 37.645101 55.768841 17260, 37.645933 55.769383 17110, 37.645740 55.769443 17050, 37.645819 55.769532 17090)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 20,
"selection": "LINESTRING(37.645819 55.769532 17090, 37.645978 55.769695 17070)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 1, 0, 1, 1, 1, -2, 1, 0, -1, -1, -1, 0, 0, 0, 0, 0, 0, 1, 0, -1, 1, -1)",
"length": 456,
"selection": "LINESTRING(37.645978 55.769695 17070, 37.646065 55.769786 17070, 37.646278 55.769734 17080, 37.646453 55.769688 17110, 37.646860 55.769583 17140, 37.648035 55.769289 17350, 37.648118 55.769268 17370, 37.648259 55.769233 17410, 37.648338 55.769334 17350, 37.648461 55.769546 17430, 37.648599 55.769721 17400, 37.648625 55.769777 17370, 37.649149 55.770438 17090, 37.649189 55.770472 17070, 37.649205 55.770479 17070, 37.649237 55.770495 17070, 37.649286 55.770506 17070, 37.649355 55.770509 17070, 37.649440 55.770501 17070, 37.649789 55.770413 17090, 37.650010 55.770357 17120, 37.650237 55.770299 17110, 37.650843 55.770146 16980, 37.651120 55.770077 17010, 37.651305 55.770031 16980)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(2, 4, 0, 1, 0, -1, -2, 1, 1, -1)",
"length": 139,
"selection": "LINESTRING(37.651305 55.770031 16980, 37.651334 55.769979 17010, 37.651471 55.769896 17170, 37.651679 55.769878 17190, 37.651826 55.769853 17210, 37.651924 55.769829 17220, 37.652103 55.769788 17170, 37.652183 55.769768 17140, 37.653080 55.769545 17300, 37.653144 55.769527 17320, 37.653188 55.769457 17290)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-1)",
"length": 4,
"selection": "LINESTRING(37.653188 55.769457 17290, 37.653214 55.769416 17270)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, -1, 1, 1, 1, 0, 4)",
"length": 104,
"selection": "LINESTRING(37.653214 55.769416 17270, 37.653232 55.769417 17270, 37.653790 55.769479 17190, 37.654167 55.769524 17240, 37.654676 55.769580 17310, 37.654741 55.769590 17320, 37.654801 55.769602 17320, 37.654849 55.769607 17360)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(-3, 1)",
"length": 30,
"selection": "LINESTRING(37.654849 55.769607 17360, 37.655219 55.769635 17160, 37.655325 55.769637 17180)",
"style": "bridge",
"zlevel": "zlevel-positive"
},
{
"angles": "LINESTRING(-5, -1, 2, 2, 0, 1, 1, 0, 0, 1, 4, 2, -1, 0, -1, 0, 1, -3, 1, -1, -1, 0, 0, 0, 2, 1, 3, 0, 2)",
"length": 595,
"selection": "LINESTRING(37.655325 55.769637 17180, 37.655422 55.769639 17080, 37.655610 55.769643 17060, 37.655616 55.769587 17090, 37.655525 55.769489 17160, 37.655517 55.769476 17160, 37.655519 55.769449 17170, 37.655523 55.769413 17180, 37.655549 55.769370 17180, 37.656101 55.768540 17120, 37.656169 55.768443 17170, 37.656232 55.768363 17290, 37.656294 55.768283 17350, 37.656419 55.768265 17320, 37.656759 55.767897 17290, 37.657020 55.767543 17150, 37.657203 55.767243 17200, 37.657232 55.767196 17220, 37.657404 55.766915 16920, 37.657525 55.766716 16970, 37.657699 55.766413 16910, 37.657802 55.766281 16860, 37.658750 55.765071 16720, 37.658768 55.765047 16720, 37.658656 55.765016 16720, 37.658590 55.764999 16750, 37.658607 55.764972 16760, 37.658607 55.764960 16770, 37.658604 55.764951 16770, 37.658592 55.764938 16780)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0)",
"length": 35,
"selection": "LINESTRING(37.658592 55.764938 16780, 37.658568 55.764928 16780, 37.658230 55.764806 16790, 37.658111 55.764769 16800)",
"style": "pedestrian_bridge",
"zlevel": "zlevel-positive"
},
{
"angles": "LINESTRING(0, 0, 0, 0, -11)",
"length": 91,
"selection": "LINESTRING(37.658111 55.764769 16800, 37.657882 55.764710 16790, 37.657810 55.764694 16790, 37.657275 55.764502 16810, 37.656900 55.764367 16820, 37.656877 55.764389 16720)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(3)",
"length": 14,
"selection": "LINESTRING(37.656877 55.764389 16720, 37.656757 55.764501 16850)",
"style": "archway",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1)",
"length": 10,
"selection": "LINESTRING(37.656757 55.764501 16850, 37.656674 55.764578 16880)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1, 0, 3, 0, 0, 2, 1, 0, 0, -1, 1, 0)",
"length": 77,
"selection": "LINESTRING(37.656674 55.764578 16880, 37.656728 55.764601 16890, 37.656741 55.764609 16890, 37.656749 55.764617 16900, 37.656755 55.764630 16900, 37.656755 55.764641 16900, 37.656749 55.764655 16910, 37.656538 55.764857 17020, 37.656510 55.764857 17020, 37.656485 55.764865 17020, 37.656303 55.764992 16960, 37.656543 55.765075 17010, 37.656553 55.765080 17010)",
"style": "living_zone",
"zlevel": "zlevel-normal"
}
],
"names": []
},
"outcoming_path_comment": "6.7 km straight",
"type": "begin"
},
{
"comment": "finish",
"icon": "finish",
"id": "16377021944685554640",
"outcoming_path_comment": "You have arrived!",
"type": "end"
}
],
"reliability": 1.0,
"requested_filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"result_filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"route_id": "moscow-bc-back.m1/bicyclerouting/1772715755.322540",
"total_distance": 6687,
"total_duration": 2003,
"type": "bicyclerouting",
"ui_total_distance": {
"unit": "km",
"value": "6.7"
},
"ui_total_duration": "33 min",
"waypoints": [
{
"original_point": {
"lat": 55.77542749703997,
"lon": 37.58273299838699
},
"projected_point": {
"lat": 55.77542749703997,
"lon": 37.58273299838699
},
"transit": false
},
{
"original_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"projected_point": {
"lat": 55.76508099601444,
"lon": 37.65655367382703
},
"transit": false
}
]
}
],
"status": "OK",
"type": "result"
}

By scooter

When building a route for a scooter, car roads, bike paths, and sidewalks are taken into account. You can configure the route to avoid car roads and stairs without ramps, as well as include altitude change information in the response.

To build a route by scooter, send a POST request to /routing/7.0.0/global with the following parameters:

  • points (mandatory parameter) - array of coordinates of route points. Specify at least two points: starting and ending.

  • transport: scooter - transportation type: by scooter.

  • filters - exclusion of certain road types:

    • dirt_road - dirt roads
    • ferry - ferry crossings
    • highway - main streets (city arterial streets, intercity roads, and highways)
    • ban_car_road - car roads
    • ban_stairway - stairs without ramps
  • output - result format:

    • summary - simplified output, only time and route length in the response
    • detailed - full output with route geometry
  • locale - language of text descriptions of route elements: English.

  • need_altitudes: true - information about altitudes along the route.

Request example:

curl --request POST \
--url 'https://routing.api.2gis.com/routing/7.0.0/global?key=API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"points": [
{
"type": "stop",
"lon": 37.582591,
"lat": 55.775364
},
{
"type": "stop",
"lon": 37.656625,
"lat": 55.765036
}
],
"transport": "scooter",
"filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"output": "detailed",
"locale": "en",
"need_altitudes": true
}'

Response example:

response.json
{
"message": null,
"query": {
"filters": [
"dirt_road",
"ferry",
"highway",
"ban_car_road",
"ban_stairway"
],
"locale": "en",
"need_altitudes": true,
"output": "detailed",
"points": [
{
"lat": 55.775364,
"lon": 37.582591,
"type": "stop"
},
{
"lat": 55.765036,
"lon": 37.656625,
"type": "stop"
}
],
"transport": "scooter"
},
"result": [
{
"algorithm": "safe",
"altitudes_info": {
"elevation_gain": 6750,
"elevation_loss": 7020,
"max_altitude": 18070,
"max_road_angle": 7,
"min_altitude": 15900
},
"begin_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.582590 55.775363, 37.582732 55.775427)"
}
},
"end_pedestrian_path": {
"geometry": {
"selection": "LINESTRING(37.656553 55.765080, 37.656625 55.765036)"
}
},
"id": "17172905127689846368",
"maneuvers": [
{
"comment": "start",
"icon": "start",
"id": "2231515460490147030",
"outcoming_path": {
"distance": 6729,
"duration": 1950,
"geometry": [
{
"angles": "LINESTRING(0, 0, 0, 0, 0, 0, 0, -1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0)",
"length": 324,
"selection": "LINESTRING(37.582732 55.775427 17300, 37.582792 55.775442 17300, 37.582634 55.775643 17280, 37.582525 55.775781 17280, 37.582362 55.775987 17290, 37.582308 55.776117 17290, 37.582292 55.776158 17290, 37.582270 55.776212 17290, 37.582021 55.776526 17220, 37.582011 55.776539 17210, 37.582001 55.776551 17210, 37.581796 55.776810 17220, 37.581812 55.776856 17220, 37.581834 55.776926 17220, 37.582132 55.777094 17190, 37.582338 55.777211 17200, 37.582482 55.777292 17200, 37.582620 55.777370 17190, 37.583213 55.777710 17330, 37.583226 55.777717 17330, 37.583315 55.777750 17320, 37.583416 55.777767 17320, 37.583500 55.777783 17320)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(1, 0, 0, -1, 0, 0, 1, 2, 1)",
"length": 103,
"selection": "LINESTRING(37.583500 55.777783 17320, 37.583719 55.777921 17360, 37.583772 55.777955 17360, 37.583803 55.777970 17360, 37.583846 55.777982 17350, 37.583892 55.777988 17350, 37.583930 55.777988 17350, 37.584460 55.777927 17480, 37.584869 55.777880 17650, 37.584977 55.777866 17680)",
"style": "park_path",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0)",
"length": 28,
"selection": "LINESTRING(37.584977 55.777866 17680, 37.585084 55.778054 17680, 37.585187 55.778046 17680)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 8,
"selection": "LINESTRING(37.585187 55.778046 17680, 37.585315 55.778032 17680)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, 0, 1, 0, -1, 0, 0, 0, -1, 0)",
"length": 148,
"selection": "LINESTRING(37.585315 55.778032 17680, 37.585434 55.778019 17690, 37.585478 55.778178 17690, 37.585754 55.778015 17720, 37.585936 55.777909 17750, 37.586054 55.777840 17760, 37.586125 55.777799 17750, 37.586223 55.777741 17740, 37.586328 55.777680 17750, 37.586711 55.777457 17790, 37.586778 55.777500 17780, 37.586843 55.777469 17780)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0)",
"length": 12,
"selection": "LINESTRING(37.586843 55.777469 17780, 37.586989 55.777398 17770)",
"style": "crosswalk",
"zlevel": "zlevel-normal"
},
{
"angles": "LINESTRING(0, 0, -1, 0, 0, 1, 0, 0)",
"length": 185,
"selection": "LINESTRING(37.586989 55.777398 17770, 37.587695 55.777860 17850, 37.587795 55.777926 17840, 37.587857 55.777896 17830, 37.588159 55.777750 17850, 37.588473 55.777598 17880, 37.588580 55.777546 17910, 37.588953 55.777365 17920, 37.589107 55.777290 17930)",
"style": "normal",
"zlevel": "zlevel-normal"
},
{
[...]
